? shells/zsh/PLIST.DragonFly
Index: audio/cdparanoia/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/audio/cdparanoia/distinfo,v
retrieving revision 1.10
diff -u -r1.10 distinfo
--- audio/cdparanoia/distinfo	23 Feb 2005 20:39:43 -0000	1.10
+++ audio/cdparanoia/distinfo	8 Jul 2005 21:50:14 -0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.10 2005/02/23 20:39:43 agc Exp $
+$NetBSD: pkgsrc/audio/cdparanoia/distinfo,v 1.10 2005/02/23 20:39:43 agc Exp $
 
 SHA1 (cdparanoia-III-alpha9.8.src.tgz) = 04cc33a7d22d6255f6239e3e74195506b3bdde06
 RMD160 (cdparanoia-III-alpha9.8.src.tgz) = d9225165f83b5386c58db263d6918a7006df1481
@@ -18,3 +18,11 @@
 SHA1 (patch-cg) = d57b8019fd14baf0701a9a9f824a4f4bd64ab3ad
 SHA1 (patch-ch) = 73c38418cd7ab5fa5a072abfc78479fdd1d87787
 SHA1 (patch-ci) = cff3eaff31ea324d7bde5d0d840df57453085bec
+SHA1 (patch-da) = 41636b882727e101980915a59382f2dc07ce2250
+SHA1 (patch-db) = ae806ddbc2fc8cfc6c2a911ea187715991ae2ea3
+SHA1 (patch-dc) = f1538a89f93fad029f2285370f74fa6899568452
+SHA1 (patch-dd) = 227a9092cf4896ce3f4fe0aa19460f4769bec033
+SHA1 (patch-de) = 7ef3e0a2286ee8a35794667b4123235382afe7a0
+SHA1 (patch-df) = 9312bf37493cfd3a1d67c94f495089f832514df3
+SHA1 (patch-dg) = 1dd22bf1b3525a43fa029e11e807088a877f236e
+SHA1 (patch-dh) = 979db75fc97e3403eca01f524bfad14e22f6f6dc
Index: audio/cdparanoia/patches/patch-da
===================================================================
RCS file: audio/cdparanoia/patches/patch-da
diff -N audio/cdparanoia/patches/patch-da
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-da	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- interface/cdda_interface.h.orig	2005-05-31 16:03:04.000000000 +0200
++++ interface/cdda_interface.h
+@@ -21,7 +21,7 @@
+ #include <sys/types.h>
+ #include <signal.h>
+ 
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ #include <stdio.h>
+ #include <camlib.h>
+ #endif
+@@ -51,7 +51,7 @@ typedef struct cdrom_drive{
+ 
+   int opened; /* This struct may just represent a candidate for opening */
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   char *cdda_device_name;
+   char *ioctl_device_name;
+ 
+@@ -94,7 +94,7 @@ typedef struct cdrom_drive{
+   int is_mmc;
+ 
+   /* SCSI command buffer and offset pointers */
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   unsigned char *sg;
+   unsigned char *sg_buffer;
+   unsigned char inqbytes[4];
Index: audio/cdparanoia/patches/patch-db
===================================================================
RCS file: audio/cdparanoia/patches/patch-db
diff -N audio/cdparanoia/patches/patch-db
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-db	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,22 @@
+$NetBSD$
+
+--- interface/common_interface.c.orig	2005-05-31 16:03:00.000000000 +0200
++++ interface/common_interface.c
+@@ -23,7 +23,7 @@ int ioctl_ping_cdrom(int fd){
+   struct cdrom_volctrl volctl;
+   if (ioctl(fd, CDROMVOLREAD, &volctl)) 
+     return(1); /* failure */
+-#elif defined(__FreeBSD__) || defined(__NetBSD__)
++#elif defined(__FreeBSD__) || defined(__NetBSD__) || defined(__DragonFly__)
+   struct ioc_vol volctl;
+   if (ioctl(fd, CDIOCGETVOL, &volctl)) 
+     return(1); /* failure */
+@@ -220,7 +220,7 @@ int FixupTOC(cdrom_drive *d,int tracks){
+   /* For a scsi device, the ioctl must go to the specialized SCSI
+      CDROM device, not the generic device. */
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   if (d->ioctl_fd != -1) {
+ #ifdef __linux__
+     int result;
Index: audio/cdparanoia/patches/patch-dc
===================================================================
RCS file: audio/cdparanoia/patches/patch-dc
diff -N audio/cdparanoia/patches/patch-dc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dc	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- interface/cooked_interface.c.orig	2005-05-31 16:02:58.000000000 +0200
++++ interface/cooked_interface.c
+@@ -10,7 +10,7 @@
+ #include "common_interface.h"
+ #include "utils.h"
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ static int cooked_readtoc (cdrom_drive *d){
+   int i;
+   int tracks;
+@@ -179,7 +179,7 @@ static long cooked_read (cdrom_drive *d,
+   errx(1, "cooked_read: not implemented");
+ #endif
+ }
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static int
+ cooked_readtoc(cdrom_drive *d)
+ {
+@@ -419,7 +419,7 @@ int cooked_init_drive (cdrom_drive *d){
+   default:
+     d->nsectors=40; 
+   }
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+   d->nsectors = 26;	/* FreeBSD only supports 64K I/O transfer size */
+ #endif
+   d->enable_cdda = Dummy;
Index: audio/cdparanoia/patches/patch-dd
===================================================================
RCS file: audio/cdparanoia/patches/patch-dd
diff -N audio/cdparanoia/patches/patch-dd
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dd	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- interface/interface.c.orig	2005-05-31 16:02:55.000000000 +0200
++++ interface/interface.c
+@@ -29,7 +29,7 @@ int cdda_close(cdrom_drive *d){
+       d->enable_cdda(d,0);
+ 
+     _clean_messages(d);
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+     if(d->cdda_device_name)free(d->cdda_device_name);
+     if(d->ioctl_device_name)free(d->ioctl_device_name);
+     if(d->drive_model)free(d->drive_model);
Index: audio/cdparanoia/patches/patch-de
===================================================================
RCS file: audio/cdparanoia/patches/patch-de
diff -N audio/cdparanoia/patches/patch-de
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-de	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- interface/low_interface.h.orig	2005-05-31 16:02:53.000000000 +0200
++++ interface/low_interface.h
+@@ -49,7 +49,7 @@
+ #include <linux/cdrom.h>
+ #include <linux/major.h>
+ 
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ 
+ #include <sys/cdio.h>
+ #include <sys/cdrio.h>
+@@ -70,7 +70,7 @@
+ #define MIN_BIG_BUFF_SIZE 4096
+ #ifdef __linux__
+ #define SG_OFF sizeof(struct sg_header)
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ #define SG_OFF (0)
+ #elif defined(__NetBSD__)
+ #define SG_OFF sizeof(scsireq_t)
+@@ -85,7 +85,7 @@
+ #endif
+ 
+ extern int  cooked_init_drive (cdrom_drive *d);
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ extern unsigned char *scsi_inquiry (cdrom_drive *d);
+ #endif
+ extern int  scsi_init_drive (cdrom_drive *d);
Index: audio/cdparanoia/patches/patch-df
===================================================================
RCS file: audio/cdparanoia/patches/patch-df
diff -N audio/cdparanoia/patches/patch-df
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-df	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,58 @@
+$NetBSD$
+
+--- interface/scan_devices.c.orig	2005-05-31 16:02:48.000000000 +0200
++++ interface/scan_devices.c
+@@ -51,7 +51,7 @@ static char *cdrom_devices[]={
+   "/dev/cm206cd",
+   "/dev/gscd",
+   "/dev/optcd",NULL};
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static char *cdrom_devices[] = {
+ 	"/dev/cd?c",
+ 	"/dev/acd?c",
+@@ -62,7 +62,7 @@ static char *cdrom_devices[] = {
+ /* Functions here look for a cdrom drive; full init of a drive type
+    happens in interface.c */
+ 
+-#if defined(__linux__) || defined(__FreeBSD__)
++#if defined(__linux__) || defined(__FreeBSD__) || defined(__DragonFly__)
+ cdrom_drive *cdda_find_a_cdrom(int messagedest,char **messages){
+   /* Brute force... */
+   
+@@ -142,7 +142,7 @@ cdrom_drive *cdda_identify(const char *d
+ #if defined(__linux__) || defined(__NetBSD__)
+   d=cdda_identify_cooked(device,messagedest,messages);
+   if(!d)d=cdda_identify_scsi(device,NULL,messagedest,messages);
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+   d = cdda_identify_scsi(device, NULL, messagedest, messages);
+   if (d == NULL)
+ 	d = cdda_identify_cooked(device, messagedest, messages);
+@@ -305,7 +305,7 @@ cdrom_drive *cdda_identify_cooked(const 
+ #elif defined(__NetBSD__)
+   /* no kernel support for CD-DA */
+   return NULL;
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ 	cdrom_drive *d;
+ 	struct stat st;
+ 
+@@ -354,7 +354,7 @@ cdda_identify_cooked_fail:
+ #endif
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ struct  sg_id {
+   long    l1; /* target | lun << 8 | channel << 16 | low_ino << 24 */
+   long    l2; /* Unique id */
+@@ -778,7 +778,7 @@ cdda_identify_scsi_fail:
+   if(g_fd!=-1)close(g_fd);
+   return(NULL);
+ }
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ cdrom_drive *cdda_identify_scsi(const char *device,
+     const char *dummy,
+     int messagedest,
Index: audio/cdparanoia/patches/patch-dg
===================================================================
RCS file: audio/cdparanoia/patches/patch-dg
diff -N audio/cdparanoia/patches/patch-dg
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dg	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,103 @@
+$NetBSD$
+
+--- interface/scsi_interface.c.orig	2005-05-31 16:02:45.000000000 +0200
++++ interface/scsi_interface.c
+@@ -23,7 +23,7 @@ static void tweak_SG_buffer(cdrom_drive 
+   int table,reserved;
+   char buffer[256];
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ #ifdef __linux__
+   /* maximum transfer size? */
+   if(ioctl(d->cdda_fd,SG_GET_RESERVED_SIZE,&reserved)){
+@@ -66,7 +66,7 @@ static void tweak_SG_buffer(cdrom_drive 
+     cdmessage(d,"\tCouldn't disable command queue!  Continuing anyway...\n");
+   }
+ #endif
+-#else /* FreeBSD */
++#else /* FreeBSD || DragonFly */
+   d->nsectors = 26;		/* FreeBSD only supports 64K I/O transfer size */
+   d->bigbuff = d->nsectors * CD_FRAMESIZE_RAW;
+   
+@@ -104,7 +104,7 @@ static void reset_scsi(cdrom_drive *d){
+   d->enable_cdda(d,1);
+ }
+ 
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static void reset_scsi(cdrom_drive *d) {
+ 	d->enable_cdda(d,0);
+ 
+@@ -161,7 +161,7 @@ static void clear_garbage(cdrom_drive *d
+ #endif
+ 
+ /* process a complete scsi command. */
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ static int handle_scsi_cmd(cdrom_drive *d,
+ 			   unsigned int cmd_len, 
+ 			   unsigned int in_size, 
+@@ -400,7 +400,7 @@ static int handle_scsi_cmd(cdrom_drive *
+   return(0);
+ }
+ 
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static int handle_scsi_cmd(cdrom_drive *d,
+ 			   unsigned int cmd_len, 
+ 			   unsigned int out_size, 
+@@ -1060,7 +1060,7 @@ static long scsi_read_map (cdrom_drive *
+ 		(int)(sg_hd->sense_buffer[2]&0xf),
+ 		(int)(sg_hd->sense_buffer[12]),
+ 		(int)(sg_hd->sense_buffer[13]));
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ 		d->ccb->csio.sense_data.flags & SSD_KEY,
+ 		d->ccb->csio.sense_data.add_sense_code,
+ 		d->ccb->csio.sense_data.add_sense_code_qual);
+@@ -1078,7 +1078,7 @@ static long scsi_read_map (cdrom_drive *
+ 	fputs(b, stderr);
+ 	cdmessage(d,b);
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 	fprintf(stderr,"scsi_read error: sector=%ld length=%ld retry=%d\n",
+ 		begin,sectors,retry_count);
+ 	fprintf(stderr,"                 Sense key: %x ASC: %x ASCQ: %x\n",
+@@ -1546,7 +1546,7 @@ static void check_fua_bit(cdrom_drive *d
+   return;
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ static int check_atapi(cdrom_drive *d){
+ #ifdef __linux__
+   int atapiret=-1;
+@@ -1594,7 +1594,7 @@ static int check_atapi(cdrom_drive *d){
+     return(d->is_atapi);
+   }
+ }  
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ static int
+ check_atapi(cdrom_drive *d)
+ {
+@@ -1681,7 +1681,7 @@ static void check_exceptions(cdrom_drive
+   }
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ /* request vendor brand and model */
+ unsigned char *scsi_inquiry(cdrom_drive *d){
+   memcpy(d->sg_buffer,(char[]){ 0x12,0,0,0,56,0},6);
+@@ -1762,7 +1762,7 @@ int scsi_init_drive(cdrom_drive *d){
+   check_fua_bit(d);
+ 
+   d->error_retry=1;
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+   d->sg=realloc(d->sg,d->nsectors*CD_FRAMESIZE_RAW + SG_OFF + 128);
+   d->sg_buffer=d->sg+SG_OFF;
+ #else
Index: audio/cdparanoia/patches/patch-dh
===================================================================
RCS file: audio/cdparanoia/patches/patch-dh
diff -N audio/cdparanoia/patches/patch-dh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ audio/cdparanoia/patches/patch-dh	8 Jul 2005 21:50:15 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- interface/utils.h.orig	2005-05-31 16:00:56.000000000 +0200
++++ interface/utils.h
+@@ -10,7 +10,7 @@
+ #include <machine/bswap.h>
+ #endif
+ #include <err.h>	/* XXX */
+-#elif defined(__FreeBSD__)
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+ #include <machine/endian.h>
+ #endif
+ #include <stdio.h>
Index: bootstrap/bmake/main.c
===================================================================
RCS file: /cvsroot/pkgsrc/bootstrap/bmake/main.c,v
retrieving revision 1.2
diff -u -r1.2 main.c
--- bootstrap/bmake/main.c	5 Jan 2005 21:54:40 -0000	1.2
+++ bootstrap/bmake/main.c	8 Jul 2005 21:50:16 -0000
@@ -1,4 +1,4 @@
-/*	$NetBSD: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $	*/
+/*	$NetBSD: pkgsrc/bootstrap/bmake/main.c,v 1.2 2005/01/05 21:54:40 tv Exp $	*/
 
 /*
  * Copyright (c) 1988, 1989, 1990, 1993
@@ -39,7 +39,7 @@
  */
 
 #ifdef MAKE_BOOTSTRAP
-static char rcsid[] = "$NetBSD: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $";
+static char rcsid[] = "$NetBSD: pkgsrc/bootstrap/bmake/main.c,v 1.2 2005/01/05 21:54:40 tv Exp $";
 #else
 #include <sys/cdefs.h>
 #ifndef lint
@@ -51,13 +51,13 @@
 #if 0
 static char sccsid[] = "@(#)main.c	8.3 (Berkeley) 3/19/94";
 #else
-__RCSID("$NetBSD: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $");
+__RCSID("$NetBSD: pkgsrc/bootstrap/bmake/main.c,v 1.2 2005/01/05 21:54:40 tv Exp $");
 #endif
 #endif /* not lint */
 #endif
 
 #if !defined(MAKE_BOOTSTRAP) && !defined(lint)
-__IDSTRING(rcs_id,"$Id: main.c,v 1.2 2005/01/05 21:54:40 tv Exp $");
+__IDSTRING(rcs_id,"$Id: main.c,v 1.1.1.1 2004/03/11 13:04:10 grant Exp $");
 #endif
 
 /*-
@@ -199,13 +199,16 @@
 	if (argv[0] == 0)
 		argv[0] = progname;	/* avoid problems in getopt */
 
-	optind = 1;	/* since we're called more than once */
 #ifdef REMOTE
 # define OPTFLAGS "BD:I:J:L:NPST:V:Wd:ef:ij:km:nqrst"
 #else
 # define OPTFLAGS "BD:I:J:NPST:V:Wd:ef:ij:km:nqrst"
 #endif
-rearg:	while((c = getopt(argc, argv, OPTFLAGS)) != -1) {
+rearg:
+	optind = 1;	/* since we're called more than once */
+	optreset = 1;
+
+	while((c = getopt(argc, argv, OPTFLAGS)) != -1) {
 		switch(c) {
 		case 'D':
 			Var_Set(optarg, "1", VAR_GLOBAL, 0);
@@ -405,6 +408,8 @@
 			usage();
 		}
 	}
+	argv += optind;
+	argc -= optind;
 
 	oldVars = TRUE;
 
@@ -413,21 +418,29 @@
 	 * perform them if so. Else take them to be targets and stuff them
 	 * on the end of the "create" list.
 	 */
-	for (argv += optind, argc -= optind; *argv; ++argv, --argc)
+	for (; *argv != NULL; ++argv, --argc) {
 		if (Parse_IsVar(*argv)) {
 			Parse_DoVar(*argv, VAR_CMD);
-		} else {
-			if (!**argv)
-				Punt("illegal (null) argument.");
-			if (**argv == '-') {
-				if ((*argv)[1])
-					optind = 0;     /* -flag... */
-				else
-					optind = 1;     /* - */
+		} else if ((*argv)[0] == '-'){
+			if ((*argv)[1] == '\0') {
+				/*
+				 * (*argv) is a single dash, so we
+				 * just ignore it.
+				 */
+			} else {
+				argc++;
+				argv--;
 				goto rearg;
 			}
+		} else if ((*argv)[0] == '\0') {
+			/* 
+			 * Check against empty strings as argument.
+			 */
+			Punt("illegal (null argument.");
+		} else {
 			(void)Lst_AtEnd(create, (ClientData)estrdup(*argv));
 		}
+	}
 }
 
 /*-
Index: devel/glib/patches/patch-ak
===================================================================
RCS file: devel/glib/patches/patch-ak
diff -N devel/glib/patches/patch-ak
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ devel/glib/patches/patch-ak	8 Jul 2005 21:50:20 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- configure.in.orig	2005-06-03 17:15:18.000000000 +0200
++++ configure.in
+@@ -794,6 +794,9 @@ G_THREAD_CFLAGS="$G_THREAD_CFLAGS -D_REE
+             	        G_THREAD_CFLAGS="$G_THREAD_CFLAGS -mthreads"
+ 		fi
+ 		;;
++	*-dragonfly*)
++		G_THREAD_LIBS="-pthread"
++		;;
+ 	*-freebsd2.2*)
+ 		G_THREAD_CFLAGS="$G_THREAD_CFLAGS -D_THREAD_SAFE"
+ 
Index: graphics/MesaLib/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/distinfo,v
retrieving revision 1.29
diff -u -r1.29 distinfo
--- graphics/MesaLib/distinfo	17 Jun 2005 15:54:06 -0000	1.29
+++ graphics/MesaLib/distinfo	8 Jul 2005 21:50:31 -0000
@@ -13,4 +13,4 @@
 SHA1 (patch-ae) = a92133c77b1b958dcfe9b37ddc317d6ff31157d0
 SHA1 (patch-af) = 8f77d0a0e7c63de6bcc44a653767ccd04107c98c
 SHA1 (patch-ag) = 3d05125b389c26b04884775f3f631247faa8a716
-SHA1 (patch-ah) = 8ccfd1734accf9ed3920d42e9208eef5a9d233cf
+SHA1 (patch-ah) = 0c0a4d18531d2bc9ea1be83e89f373be5609f0e7
Index: graphics/MesaLib/patches/patch-ah
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/MesaLib/patches/patch-ah,v
retrieving revision 1.1
diff -u -r1.1 patch-ah
--- graphics/MesaLib/patches/patch-ah	26 Oct 2004 13:55:56 -0000	1.1
+++ graphics/MesaLib/patches/patch-ah	8 Jul 2005 21:50:31 -0000
@@ -2,7 +2,7 @@
 
 --- configs/default.orig	2004-10-25 17:21:49.000000000 +0000
 +++ configs/default
-@@ -14,10 +14,6 @@ MESA_TINY=0
+@@ -14,10 +14,6 @@ MESA_TINY=1
  DRM_SOURCE_PATH=$(TOP)/../drm
  
  # Compiler and flags
@@ -22,3 +22,12 @@
  SRC_DIRS = mesa glu glut/glx glw
  GLU_DIRS = sgi
  DRIVER_DIRS = x11 osmesa
+@@ -60,7 +56,7 @@ PROGRAM_DIRS = demos redbook samples xde
+ 
+ 
+ # Library/program dependencies
+-GL_LIB_DEPS = -lX11 -lXext -lm -lpthread
++GL_LIB_DEPS = -lX11 -lXext -lm ${PTHREAD_LDFLAGS} ${PTHREAD_LIBS}
+ OSMESA_LIB_DEPS = -L$(LIB_DIR) -l$(GL_LIB)
+ GLU_LIB_DEPS = -L$(LIB_DIR) -l$(GL_LIB) -lm
+ GLUT_LIB_DEPS = -L$(LIB_DIR) -l$(GLU_LIB) -l$(GL_LIB) -lX11 -lXmu -lXt -lXi -lm
Index: mail/postfix/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/mail/postfix/distinfo,v
retrieving revision 1.87
diff -u -r1.87 distinfo
--- mail/postfix/distinfo	23 Jun 2005 07:58:48 -0000	1.87
+++ mail/postfix/distinfo	8 Jul 2005 21:50:39 -0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.87 2005/06/23 07:58:48 martti Exp $
+$NetBSD: distinfo,v 1.85 2005/04/04 18:13:32 martti Exp $
 
 SHA1 (postfix/postfix-2.2.4.tar.gz) = b8d990ca26e7e8d6f7fd5a1cf0cf8c939c984bed
 RMD160 (postfix/postfix-2.2.4.tar.gz) = 00757574a0dc7e26ff52449d689853c9d7a338a8
@@ -7,4 +7,4 @@
 SHA1 (patch-ab) = c506a08b694f94ef4884fa97eec51e44c92812dd
 SHA1 (patch-ac) = ffcd4f8b00c1cf01f050a0c943bfe61a1ec2361a
 SHA1 (patch-ag) = dd7851aa16b7458e0cb1975742cf8da4118866b3
-SHA1 (patch-ai) = d24b434fcd8964d1d27e6c0eac93e2d742de98ab
+SHA1 (patch-ai) = d3ea006bafb5e9df869fbb2dec8c7f53b160c8e0
Index: mail/postfix/patches/patch-ai
===================================================================
RCS file: /cvsroot/pkgsrc/mail/postfix/patches/patch-ai,v
retrieving revision 1.13
diff -u -r1.13 patch-ai
--- mail/postfix/patches/patch-ai	22 Mar 2005 18:09:33 -0000	1.13
+++ mail/postfix/patches/patch-ai	8 Jul 2005 21:50:39 -0000
@@ -1,8 +1,17 @@
-$NetBSD: patch-ai,v 1.13 2005/03/22 18:09:33 xtraeme Exp $
+$NetBSD$
 
 --- makedefs.orig	2005-02-22 13:35:52.000000000 +0100
-+++ makedefs	2005-03-21 22:45:02.000000000 +0100
-@@ -124,7 +124,7 @@
++++ makedefs
+@@ -116,6 +116,8 @@ case "$SYSTEM.$RELEASE" in
+ 		;;
+   FreeBSD.5*)	SYSTYPE=FREEBSD5
+ 		;;
++  DragonFly.1*) SYSTYPE=FREEBSD4
++		;;
+   OpenBSD.2*)	SYSTYPE=OPENBSD2
+ 		;;
+   OpenBSD.3*)	SYSTYPE=OPENBSD3
+@@ -124,7 +126,7 @@ case "$SYSTEM.$RELEASE" in
  		;;
     NetBSD.1*)	SYSTYPE=NETBSD1
  		;;
@@ -11,7 +20,7 @@
  		;;
     BSD/OS.2*)	SYSTYPE=BSDI2
  		;;
-@@ -175,13 +175,6 @@
+@@ -175,13 +177,6 @@ case "$SYSTEM.$RELEASE" in
  		esac
  		;;
     ULTRIX.4*)	SYSTYPE=ULTRIX4
@@ -25,7 +34,7 @@
  		for l in syslog resolv; do
  		    if [ -f /usr/local/lib/lib$l.a ]; then
  			SYSLIBS="$SYSLIBS -l$l"
-@@ -213,25 +206,8 @@
+@@ -213,25 +208,8 @@ case "$SYSTEM.$RELEASE" in
  		esac;;
  		# Tested with RedHat 3.03 on 20020729.
      Linux.1*)	SYSTYPE=LINUX1
@@ -51,7 +60,7 @@
  		# GDBM locks the DBM .pag file after open. This breaks postmap.
  		# if [ -f /usr/include/gdbm-ndbm.h ]
  		# then
-@@ -242,7 +218,6 @@
+@@ -242,7 +220,6 @@ case "$SYSTEM.$RELEASE" in
  		#     CCARGS="$CCARGS -DHAS_DBM -DPATH_NDBM_H='<gdbm/ndbm.h>'"
  		#     GDBM_LIBS=gdbm
  		# fi
@@ -59,7 +68,7 @@
  		for name in nsl resolv $GDBM_LIBS
  		do
  		    for lib in /usr/lib64 /lib64 /usr/lib /lib
-@@ -270,25 +245,13 @@
+@@ -270,25 +247,13 @@ case "$SYSTEM.$RELEASE" in
  HP-UX.A.09.*)	SYSTYPE=HPUX9
  		SYSLIBS=-ldbm
  		CCARGS="$CCARGS -DMISSING_USLEEP"
Index: net/rdesktop/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/net/rdesktop/distinfo,v
retrieving revision 1.14
diff -u -r1.14 distinfo
--- net/rdesktop/distinfo	18 May 2005 01:11:44 -0000	1.14
+++ net/rdesktop/distinfo	8 Jul 2005 21:50:58 -0000
@@ -1,6 +1,7 @@
-$NetBSD: distinfo,v 1.14 2005/05/18 01:11:44 xtraeme Exp $
+$NetBSD: pkgsrc/net/rdesktop/distinfo,v 1.14 2005/05/18 01:11:44 xtraeme Exp $
 
 SHA1 (rdesktop-1.4.1.tar.gz) = 412ffa06dc216cc7ce1082a8a4912778f82425d9
 RMD160 (rdesktop-1.4.1.tar.gz) = c49a2425f1e00f5933d3873f6ea742b2ad4fea0c
 Size (rdesktop-1.4.1.tar.gz) = 216017 bytes
 SHA1 (patch-aa) = 1d50c6fee114a10d824d66abbd16acce161ac6b9
+SHA1 (patch-ab) = 1e4ae2f0476fc917607eeb7b6f843a5f73edd334
Index: net/rdesktop/patches/patch-ab
===================================================================
RCS file: net/rdesktop/patches/patch-ab
diff -N net/rdesktop/patches/patch-ab
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ net/rdesktop/patches/patch-ab	8 Jul 2005 21:50:58 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- parallel.c.orig	2005-05-31 13:40:20.000000000 +0200
++++ parallel.c
+@@ -14,7 +14,9 @@
+ #include <linux/lp.h>
+ #endif
+ 
++#ifndef errno
+ extern int errno;
++#endif
+ 
+ extern RDPDR_DEVICE g_rdpdr_device[];
+ 
Index: print/scribus/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/print/scribus/distinfo,v
retrieving revision 1.9
diff -u -r1.9 distinfo
--- print/scribus/distinfo	6 Jul 2005 18:05:32 -0000	1.9
+++ print/scribus/distinfo	8 Jul 2005 21:51:02 -0000
@@ -8,3 +8,5 @@
 SHA1 (patch-ad) = 9203829ecfb4d8da4ebf185fcd446f1ecbb044c1
 SHA1 (patch-ae) = 918aa4c9aa0cebc045ea15b5d83115b1b0ad8165
 SHA1 (patch-ag) = dbe050de9796992f01d791af0639895683654f7c
+SHA1 (patch-ai) = e9db252fa660f4f2df80d3affba25f53f769b78a
+SHA1 (patch-aj) = 3707687ad5ea9faa7216433203515ad56492c717
Index: print/scribus/patches/patch-ai
===================================================================
RCS file: print/scribus/patches/patch-ai
diff -N print/scribus/patches/patch-ai
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ print/scribus/patches/patch-ai	8 Jul 2005 21:51:02 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- scribus/plugins/gettext/sxwim/sxwunzip.cpp.orig	2005-05-31 17:26:38.000000000 +0200
++++ scribus/plugins/gettext/sxwim/sxwunzip.cpp
+@@ -22,6 +22,10 @@
+ 
+ #ifdef HAVE_XML
+ 
++#ifdef unix
++#include <sys/stat.h>
++#endif
++
+ #include <stdlib.h>
+ #include <string.h>
+ #include <errno.h>
Index: print/scribus/patches/patch-aj
===================================================================
RCS file: print/scribus/patches/patch-aj
diff -N print/scribus/patches/patch-aj
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ print/scribus/patches/patch-aj	8 Jul 2005 21:51:02 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- scribus/plugins/fileloader/oodraw/sxwunzip.cpp.orig	2005-05-31 17:26:38.000000000 +0200
++++ scribus/plugins/fileloader/oodraw/sxwunzip.cpp
+@@ -20,6 +20,10 @@
+ 
+ #include "sxwunzip.h"
+ 
++#ifdef unix
++#include <sys/stat.h>
++#endif
++
+ #include <stdlib.h>
+ #include <string.h>
+ #include <errno.h>
Index: security/sudo/PLIST.DragonFly
===================================================================
RCS file: security/sudo/PLIST.DragonFly
diff -N security/sudo/PLIST.DragonFly
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ security/sudo/PLIST.DragonFly	8 Jul 2005 21:51:07 -0000
@@ -0,0 +1,5 @@
+@comment $NetBSD$
+man/man5/sudoers.5
+man/man8/sudo.8
+man/man8/sudoedit.8
+man/man8/visudo.8
Index: security/sudo/patches/patch-af
===================================================================
RCS file: /cvsroot/pkgsrc/security/sudo/patches/patch-af,v
retrieving revision 1.13
diff -u -r1.13 patch-af
--- security/sudo/patches/patch-af	17 Sep 2004 09:25:18 -0000	1.13
+++ security/sudo/patches/patch-af	8 Jul 2005 21:51:07 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-af,v 1.13 2004/09/17 09:25:18 cube Exp $
+$NetBSD: pkgsrc/security/sudo/patches/patch-af,v 1.13 2004/09/17 09:25:18 cube Exp $
 
---- configure.in.orig	2004-09-08 17:49:25.000000000 +0200
-+++ configure.in
-@@ -118,7 +118,6 @@ dnl
+--- configure.in.orig	2004-11-25 18:31:20.000000000 +0100
++++ configure.in	2005-05-11 14:23:01.000000000 +0200
+@@ -118,7 +118,6 @@
  test "$mandir" = '${prefix}/man' && mandir='$(prefix)/man'
  test "$bindir" = '${exec_prefix}/bin' && bindir='$(exec_prefix)/bin'
  test "$sbindir" = '${exec_prefix}/sbin' && sbindir='$(exec_prefix)/sbin'
@@ -10,7 +10,7 @@
  
  dnl
  dnl Deprecated --with options (these all warn or generate an error)
-@@ -244,6 +243,19 @@ AC_ARG_WITH(csops, [  --with-csops      
+@@ -244,6 +243,19 @@
  		;;
  esac])
  
@@ -30,7 +30,16 @@
  AC_ARG_WITH(passwd, [  --without-passwd        don't use passwd/shadow file for authentication],
  [case $with_passwd in
      yes)	;;
-@@ -1882,6 +1894,7 @@ if test -n "$with_kerb5" -a -z "$KRB5CON
+@@ -1513,7 +1525,7 @@
+ 		    esac
+ 		fi
+ 		;;
+-    *-*-freebsd*)
++    *-*-freebsd*|*-*-dragonfly*)
+ 		# FreeBSD has a real setreuid(2) starting with 2.1 and
+ 		# backported to 2.0.5.  We just take 2.1 and above...
+ 		case "`echo $host_os | sed 's/^freebsd\([[0-9\.]]*\).*$/\1/'`" in
+@@ -1894,6 +1906,7 @@
  	    AC_MSG_RESULT(yes)
  	    AC_DEFINE(HAVE_HEIMDAL)
  	    SUDO_LIBS="${SUDO_LIBS} -lkrb5 -ldes -lcom_err -lasn1"
Index: security/sudo/patches/patch-ag
===================================================================
RCS file: /cvsroot/pkgsrc/security/sudo/patches/patch-ag,v
retrieving revision 1.5
diff -u -r1.5 patch-ag
--- security/sudo/patches/patch-ag	19 May 2004 19:26:38 -0000	1.5
+++ security/sudo/patches/patch-ag	8 Jul 2005 21:51:07 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-ag,v 1.5 2004/05/19 19:26:38 kim Exp $
+$NetBSD: pkgsrc/security/sudo/patches/patch-af,v 1.13 2004/09/17 09:25:18 cube Exp $
 
---- configure.orig	2003-05-06 11:22:27.000000000 -0400
-+++ configure	2004-05-19 15:17:50.000000000 -0400
-@@ -873,6 +873,7 @@
+--- configure.orig	2004-11-26 21:04:30.000000000 +0100
++++ configure	2005-05-10 21:38:19.000000000 +0200
+@@ -1051,6 +1051,7 @@
    --with-devel            add development options
    --with-efence           link with -lefence for malloc() debugging
    --with-csops            add CSOps standard options
@@ -10,7 +10,7 @@
    --without-passwd        don't use passwd/shadow file for authentication
    --with-skey=DIR       enable S/Key support
    --with-opie=DIR       enable OPIE support
-@@ -1423,7 +1424,6 @@
+@@ -1622,7 +1623,6 @@
  test "$mandir" = '${prefix}/man' && mandir='$(prefix)/man'
  test "$bindir" = '${exec_prefix}/bin' && bindir='$(exec_prefix)/bin'
  test "$sbindir" = '${exec_prefix}/sbin' && sbindir='$(exec_prefix)/sbin'
@@ -18,7 +18,7 @@
  
  
  
-@@ -1622,6 +1622,22 @@
+@@ -1820,6 +1820,22 @@
  fi;
  
  
@@ -41,7 +41,117 @@
  # Check whether --with-passwd or --without-passwd was given.
  if test "${with_passwd+set}" = set; then
    withval="$with_passwd"
-@@ -13230,6 +13246,58 @@
+@@ -5228,7 +5244,7 @@
+   lt_cv_deplibs_check_method=pass_all
+   ;;
+ 
+-freebsd*)
++freebsd*|dragonfly*)
+   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
+     case $host_cpu in
+     i*86 )
+@@ -8440,7 +8456,7 @@
+       ;;
+ 
+     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
+-    freebsd*)
++    dragonfly*|freebsd*)
+       archive_cmds='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
+       hardcode_libdir_flag_spec='-R$libdir'
+       hardcode_direct=yes
+@@ -9071,11 +9087,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -11205,7 +11221,7 @@
+   freebsd-elf*)
+     archive_cmds_need_lc_CXX=no
+     ;;
+-  freebsd*)
++  dragonfly*|freebsd*)
+     # FreeBSD 3 and later use GNU C++ and GNU ld with standard ELF
+     # conventions
+     ld_shlibs_CXX=yes
+@@ -12576,11 +12592,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -14890,7 +14906,7 @@
+       ;;
+ 
+     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
+-    freebsd*)
++    dragonfly*|freebsd*)
+       archive_cmds_F77='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
+       hardcode_libdir_flag_spec_F77='-R$libdir'
+       hardcode_direct_F77=yes
+@@ -15521,11 +15537,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -17123,7 +17139,7 @@
+       ;;
+ 
+     # FreeBSD 3 and greater uses gcc -shared to do shared libraries.
+-    freebsd*)
++    dragonfly*|freebsd*)
+       archive_cmds_GCJ='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
+       hardcode_libdir_flag_spec_GCJ='-R$libdir'
+       hardcode_direct_GCJ=yes
+@@ -17754,11 +17770,11 @@
+   dynamic_linker=no
+   ;;
+ 
+-freebsd*)
++dragonfly*|freebsd*)
+   objformat=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+   version_type=freebsd-$objformat
+   case $version_type in
+-    freebsd-elf*)
++    dragonfly*|freebsd-elf*)
+       library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext} $libname${shared_ext}'
+       ;;
+     freebsd-*)
+@@ -21737,7 +21753,7 @@
+ 		    esac
+ 		fi
+ 		;;
+-    *-*-freebsd*)
++    *-*-freebsd*|*-*-dragonfly*)
+ 		# FreeBSD has a real setreuid(2) starting with 2.1 and
+ 		# backported to 2.0.5.  We just take 2.1 and above...
+ 		case "`echo $host_os | sed 's/^freebsd\([0-9\.]*\).*$/\1/'`" in
+@@ -29049,6 +29065,58 @@
  _ACEOF
  
  	    SUDO_LIBS="${SUDO_LIBS} -lkrb5 -ldes -lcom_err -lasn1"
@@ -100,7 +210,7 @@
  	    echo "$as_me:$LINENO: checking for main in -lroken" >&5
  echo $ECHO_N "checking for main in -lroken... $ECHO_C" >&6
  if test "${ac_cv_lib_roken_main+set}" = set; then
-@@ -13282,7 +13350,6 @@
+@@ -29101,7 +29169,6 @@
    SUDO_LIBS="${SUDO_LIBS} -lroken"
  fi
  
Index: shells/bash/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/shells/bash/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- shells/bash/distinfo	15 Mar 2005 02:05:49 -0000	1.5
+++ shells/bash/distinfo	8 Jul 2005 21:51:07 -0000
@@ -57,3 +57,4 @@
 SHA1 (patch-ad) = 520fec46aa5df6f41418ce253cef6448dc36cadb
 SHA1 (patch-ae) = 7bacb7ac6835eb64014c744aa48eeecf48960fd8
 SHA1 (patch-af) = 8ce9e6adbda879bd32e3854913df2f6f84e4d9f7
+SHA1 (patch-ag) = 01bca1e1c0fd75293c0a75317adc12fc9e9bb065
Index: shells/bash/patches/patch-ag
===================================================================
RCS file: shells/bash/patches/patch-ag
diff -N shells/bash/patches/patch-ag
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/bash/patches/patch-ag	8 Jul 2005 21:51:07 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- builtins/psize.c.orig	2005-07-05 17:39:02.000000000 +0200
++++ builtins/psize.c
+@@ -40,7 +40,9 @@
+ #include "../command.h"
+ #include "../general.h"
+ #include "../sig.h"
++#ifndef errno
+ extern int errno;
++#endif
+ 
+ int nw;
+ 
Index: shells/zsh/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/shells/zsh/Makefile.common,v
retrieving revision 1.24
diff -u -r1.24 Makefile.common
--- shells/zsh/Makefile.common	14 Jun 2005 18:39:29 -0000	1.24
+++ shells/zsh/Makefile.common	8 Jul 2005 21:51:08 -0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile.common,v 1.24 2005/06/14 18:39:29 minskim Exp $
+# $NetBSD: pkgsrc/shells/zsh/Makefile.common,v 1.23 2005/04/11 21:47:21 tv Exp $
 
 DISTNAME=       zsh-${ZSH_VERSION}
 CATEGORIES=	shells
@@ -78,6 +78,9 @@
 
 INSTALL_TARGET=	install install.info
 
+pre-install:
+	@cd ${WRKSRC}/Completion; find . -name \*.orig -exec rm \{\} \;
+
 post-install:
 	@${INSTALL_DATA_DIR} ${PREFIX}/share/doc/zsh
 	@cd ${WRKSRC}/Etc; ${INSTALL_DATA} BUGS FAQ 	\
Index: shells/zsh/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/shells/zsh/distinfo,v
retrieving revision 1.22
diff -u -r1.22 distinfo
--- shells/zsh/distinfo	7 Apr 2005 14:16:41 -0000	1.22
+++ shells/zsh/distinfo	8 Jul 2005 21:51:08 -0000
@@ -1,9 +1,20 @@
-$NetBSD: distinfo,v 1.22 2005/04/07 14:16:41 adam Exp $
+$NetBSD: pkgsrc/shells/zsh/distinfo,v 1.22 2005/04/07 14:16:41 adam Exp $
 
 SHA1 (zsh-4.2.5.tar.bz2) = 4dc142eb37c4dadae29ed7fb51756ed89ba64263
 RMD160 (zsh-4.2.5.tar.bz2) = 10e2319b30d5791d39c0a4488e297d451adbdbe5
 Size (zsh-4.2.5.tar.bz2) = 2074535 bytes
+SHA1 (patch-Completion::BSD::Command::_bsd_pkg) = 73d23bf70bcbb64f8c53be6d51a5899c68aa04de
+SHA1 (patch-Completion::BSD::Command::_chflags) = a10254d6ab2833c412c07ccf2c9850146330b812
+SHA1 (patch-Completion::Unix::Command::_apm) = 82112d5a986a411ef786a77aef8318b0382b55a8
+SHA1 (patch-Completion::Unix::Command::_cvs) = 226bd32c4773f774fc32917995d22e6862c9a29a
+SHA1 (patch-Completion::Unix::Command::_ifconfig) = 7c3c8f0248514d9d5b49aa7614b9d904818ee2ef
+SHA1 (patch-Completion::Unix::Command::_mount) = 8860dff9d404d37c533b4a504deacd2fd53ae75f
+SHA1 (patch-Completion::Unix::Command::_mt) = 63ab6c60ced9797f85fd4f6d66378d075df80d3f
+SHA1 (patch-Completion::Unix::Command::_sysctl) = 94357cd693db8883573d151ada587d97182dbc22
+SHA1 (patch-Completion::Unix::Type::_file_systems) = 5d64cc17df312921be919c4398194c6c14dce769
+SHA1 (patch-Completion::Unix::Type::_net_interfaces) = 0c3c403e35b1ae274874f17eac6807d7b7289ca2
+SHA1 (patch-Src::Modules::zpty.c) = 68349a486e06264a6e07858d1471c56a351929e5
 SHA1 (patch-aa) = 5e5fde0f21a64c2e0579958868b05737ef0c6afb
 SHA1 (patch-ab) = 815de90c379035dbc02b251cee148f6df47f9a65
-SHA1 (patch-ac) = fdcdd3996008a6ce61352251e652d6223fc0b400
+SHA1 (patch-ac) = 821c6f60ddfddb72e14d5a33b1b448b2c5c0a036
 SHA1 (patch-ae) = 7d4514d0bad6553d3c0cf115874bf50ed0da3d48
Index: shells/zsh/patches/patch-Completion::BSD::Command::_chflags
===================================================================
RCS file: shells/zsh/patches/patch-Completion::BSD::Command::_chflags
diff -N shells/zsh/patches/patch-Completion::BSD::Command::_chflags
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::BSD::Command::_chflags	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/BSD/Command/_chflags.orig	2005-05-09 23:55:24.000000000 +0200
++++ Completion/BSD/Command/_chflags	2005-05-09 23:55:03.000000000 +0200
+@@ -25,7 +25,7 @@
+   unset own
+ fi
+ 
+-if [[ $OSTYPE = freebsd* ]]; then
++if [[ $OSTYPE = freebsd* || $OSTYPE = dragonfly* ]]; then
+   flags=( $flags[@]
+     '(nouunlnk)uunlnk[set the user undeletable flag]'
+     '(uunlnk)nouunlnk[unset the user undeletable flag]'
Index: shells/zsh/patches/patch-Completion::Unix::Command::_apm
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_apm
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_apm
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_apm	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_apm.orig	2005-05-09 23:57:43.000000000 +0200
++++ Completion/Unix/Command/_apm	2005-05-09 23:58:44.000000000 +0200
+@@ -11,7 +11,7 @@
+     '(-n --noignore)'{-n,--noignore}'[tell the system not to ignore system-generated APM message]' \
+     '(-i --ignore)'{-i,--ignore}'[tell the system to ignore system-generated APM message]' && return
+ 
+-elif [[ $OSTYPE == freebsd* ]]; then
++elif [[ $OSTYPE == freebsd* || $OSTYPE = dragonfly* ]]; then
+ 
+   _arguments \
+     '-a[display AC line status]' \
Index: shells/zsh/patches/patch-Completion::Unix::Command::_cvs
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_cvs
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_cvs
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_cvs	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_cvs.orig	2005-05-09 23:57:52.000000000 +0200
++++ Completion/Unix/Command/_cvs	2005-05-09 23:59:19.000000000 +0200
+@@ -7,7 +7,7 @@
+ 
+   # "+Qqrwtnlvb:T:e:d:Hfz:s:xa"
+   case $OSTYPE in
+-  freebsd*|openbsd*)
++  freebsd*|openbsd*|dragonfly*)
+     extra='-R[read only access]'
+     ;;
+   esac
Index: shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_ifconfig	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_ifconfig.orig	2005-05-09 23:57:59.000000000 +0200
++++ Completion/Unix/Command/_ifconfig	2005-05-09 23:58:49.000000000 +0200
+@@ -19,7 +19,7 @@
+       {,-}trailers {,-}link{0,1,2}
+     )
+   ;;
+-  freebsd*)
++  freebsd* | dragonfly*)
+     args=( -s $updown
+       '(-a -l -u -d -m -L 1 *)-C[list interface cloners]'
+       '(-l -C)-m[list supported media]'
Index: shells/zsh/patches/patch-Completion::Unix::Command::_mount
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_mount
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_mount
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_mount	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,38 @@
+--- Completion/Unix/Command/_mount.orig	2005-05-09 23:58:03.000000000 +0200
++++ Completion/Unix/Command/_mount	2005-05-09 23:59:50.000000000 +0200
+@@ -471,7 +471,7 @@
+       'swidth[specify stripe width]:size'
+     )
+     ;;
+-  freebsd*)
++  freebsd*|dragonfly*)
+     _fs_any=(
+       '(sync)async[do all I/O asynchronously]'
+       'current[use current options on already mounted file system]'
+@@ -626,7 +626,7 @@
+     deffs=hsfs
+     typeops=-F
+     ;;
+-  freebsd*)
++  freebsd*|dragonfly*)
+     args=( -s
+       '(:)-a[mount all filesystems in fstab]'
+       '-d[cause everything to be done except for the actual system call]'      
+@@ -700,7 +700,7 @@
+ 	'*:dev or dir:->udevordir'
+       )
+     ;;
+-    freebsd*)
++    freebsd*|dragonfly*)
+       args=(
+ 	'(*)-a[unmount all mounted file systems]'
+ 	'-A[unmount all mounted file systems except the root]'
+@@ -762,7 +762,7 @@
+   fi
+ 
+   case "$OSTYPE" in
+-  freebsd*)
++  freebsd*|dragonfly*)
+     while read mline; do 
+       case $mline[(w)1] in
+ 	\#* )
Index: shells/zsh/patches/patch-Completion::Unix::Command::_mt
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_mt
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_mt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_mt	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_mt.orig	2005-05-09 23:58:35.000000000 +0200
++++ Completion/Unix/Command/_mt	2005-05-09 23:57:23.000000000 +0200
+@@ -44,7 +44,7 @@
+     'densities:explain some common density codes'
+     'datcompression:enquire or set compression status'
+   )
+-elif [[ $OSTYPE = freebsd* ]]; then
++elif [[ $OSTYPE = freebsd* || $OSTYPE = dragonfly* ]]; then
+   cmds=( ${cmds:#(asf|eof):*}
+     'smk:write specified number of setmarks at current position'
+     'fss:forward space by specified number of setmarks'
Index: shells/zsh/patches/patch-Completion::Unix::Command::_sysctl
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Command::_sysctl
diff -N shells/zsh/patches/patch-Completion::Unix::Command::_sysctl
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Command::_sysctl	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Command/_sysctl.orig	2005-05-09 23:58:13.000000000 +0200
++++ Completion/Unix/Command/_sysctl	2005-05-09 23:58:54.000000000 +0200
+@@ -13,7 +13,7 @@
+       '(-o)-x[show opaques as well (entire values)]' \
+       '(-a)*:sysctl variable:_multi_parts -i . sysctlvars'
+   ;;
+-  freebsd[0-4].*|darwin*)
++  freebsd[0-4].*|darwin*|dragonfly*)
+     : ${(A)_cache_sysctlvars:=${${$(sysctl -A 2>/dev/null):#[^a-z]*}%%:*}}
+     _arguments -s -A "-*" \
+       '(-w -X *)-a[list all]' \
Index: shells/zsh/patches/patch-Completion::Unix::Type::_file_systems
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Type::_file_systems
diff -N shells/zsh/patches/patch-Completion::Unix::Type::_file_systems
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Type::_file_systems	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,14 @@
+--- Completion/Unix/Type/_file_systems.orig	2005-05-09 23:58:17.000000000 +0200
++++ Completion/Unix/Type/_file_systems	2005-05-10 00:00:42.000000000 +0200
+@@ -16,9 +16,9 @@
+   ;;
+   osf*) fss=( advfs ufs nfs mfs cdfs ) ;;
+   solaris*) fss=( ufs nfs hsfs s5fs pcfs cachefs tmpfs ) ;;
+-  freebsd*)
++  freebsd*|dragonfly*)
+     fss=( cd9660 devfs ext2fs fdesc kernfs linprocfs mfs msdos nfs 
+-          ntfs null nwfs portal procfs std ufs umap union )
++          ntfs null nwfs portal procfs std udf ufs umap union )
+   ;;
+   *)
+     # default for all other systems
Index: shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces
===================================================================
RCS file: shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces
diff -N shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Completion::Unix::Type::_net_interfaces	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,11 @@
+--- Completion/Unix/Type/_net_interfaces.orig	2005-05-09 23:58:21.000000000 +0200
++++ Completion/Unix/Type/_net_interfaces	2005-05-10 00:00:05.000000000 +0200
+@@ -12,7 +12,7 @@
+       disp=(-ld list)
+     fi
+   ;;
+-  darwin*|freebsd*) intf=( $(ifconfig -l) ) ;;
++  darwin*|freebsd*|dragonfly*) intf=( $(ifconfig -l) ) ;;
+   irix*) intf=( ${${${(f)"$(/usr/etc/netstat -i)"}%% *}[2,-1]} ) ;;
+   linux*) intf=( /proc/sys/net/ipv4/conf/*~*(all|default)(N:t) ) ;;
+   *) intf=( $(ifconfig -a|sed -n 's/^\([^ 	:]*\).*/\1/p') ) ;;
Index: shells/zsh/patches/patch-Src::Modules::zpty.c
===================================================================
RCS file: shells/zsh/patches/patch-Src::Modules::zpty.c
diff -N shells/zsh/patches/patch-Src::Modules::zpty.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ shells/zsh/patches/patch-Src::Modules::zpty.c	8 Jul 2005 21:51:08 -0000
@@ -0,0 +1,21 @@
+--- Src/Modules/zpty.c.orig	2004-06-03 00:15:01.000000000 +0200
++++ Src/Modules/zpty.c	2005-05-10 00:01:41.000000000 +0200
+@@ -246,15 +246,13 @@
+ #ifdef __linux
+     static char char1[] = "abcdefghijklmnopqrstuvwxyz";
+     static char char2[] = "0123456789abcdef";
+-#else /* __linux */
+-# ifdef __FreeBSD__
++#elif defined(__FreeBSD__) || defined(__DragonFly__)
+     static char char1[] = "pqrsPQRS";
+     static char char2[] = "0123456789abcdefghijklmnopqrstuv";
+-# else /* __FreeBSD__ */
++#else /* __FreeBSD__ || __DragonFly__ */
+     static char char1[] = "pqrstuvwxyzPQRST";
+     static char char2[] = "0123456789abcdef";
+-# endif /* __FreeBSD__ */
+-#endif /* __linux */
++#endif
+ 
+     static char name[11];
+     static int mfd, sfd;
Index: shells/zsh/patches/patch-ac
===================================================================
RCS file: /cvsroot/pkgsrc/shells/zsh/patches/patch-ac,v
retrieving revision 1.18
diff -u -r1.18 patch-ac
--- shells/zsh/patches/patch-ac	7 Apr 2005 14:16:41 -0000	1.18
+++ shells/zsh/patches/patch-ac	8 Jul 2005 21:51:08 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-ac,v 1.18 2005/04/07 14:16:41 adam Exp $
+$NetBSD$
 
---- configure.orig	2005-04-04 09:49:26.000000000 +0000
-+++ configure
-@@ -15724,6 +15724,10 @@ echo "${ECHO_T}$zsh_cv_sys_elf" >&6
+--- configure.orig	2005-04-04 11:49:26.000000000 +0200
++++ configure	2005-05-10 00:02:26.000000000 +0200
+@@ -15724,6 +15724,10 @@
          DLLD="${DLLD=$CC}"
          DLLDARG=""
        ;;
@@ -13,7 +13,7 @@
        * )
  	DLLD="${DLLD=ld}"
  	DLLDARG=""
-@@ -15734,6 +15738,7 @@ echo "${ECHO_T}$zsh_cv_sys_elf" >&6
+@@ -15734,6 +15738,7 @@
      case "$host_os" in
        hpux*)   DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
        darwin*) DLCFLAGS="${DLCFLAGS=-fno-common}" ;;
@@ -21,12 +21,12 @@
        *)       DLCFLAGS="${DLCFLAGS=-fPIC}" ;;
      esac
    else
-@@ -15747,7 +15752,7 @@ echo "${ECHO_T}$zsh_cv_sys_elf" >&6
+@@ -15747,7 +15752,7 @@
      esac
    fi
    case "$host_os" in
 -    freebsd*|linux*|irix*|osf*|gnu*) DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
-+    freebsd*|linux*|irix*|osf*|gnu*|interix*) DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
++    freebsd*|linux*|irix*|osf*|gnu*|interix*|dragonfly*) DLLDFLAGS="${DLLDFLAGS=-shared}" ;;
      sunos*)       DLLDFLAGS="${DLLDFLAGS=-assert nodefinitions}" ;;
      sysv4*|esix*) DLLDFLAGS="${DLLDFLAGS=-G $ldflags}" ;;
      netbsd*)      DLLDFLAGS="${DLLDFLAGS=${DLLDARG}-x -shared --whole-archive}" ;;
Index: sysutils/libgtop2/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/distinfo,v
retrieving revision 1.12
diff -u -r1.12 distinfo
--- sysutils/libgtop2/distinfo	26 Apr 2005 21:27:33 -0000	1.12
+++ sysutils/libgtop2/distinfo	8 Jul 2005 21:51:10 -0000
@@ -3,7 +3,19 @@
 SHA1 (libgtop-2.10.1.tar.bz2) = 9c1e29e2008f03415fcf3b530248588a2284f1ac
 RMD160 (libgtop-2.10.1.tar.bz2) = ffde8db00bd1828510b68da135d813f9bd67a55e
 Size (libgtop-2.10.1.tar.bz2) = 750637 bytes
-SHA1 (patch-aa) = 5fe5ccdf8444b3efaaa1bc3cff4c2d4944729f1e
-SHA1 (patch-ab) = 55f4c875e4886194cba25874ab042da8e17261c7
+SHA1 (patch-aa) = bff47596ce03383df3cb8d097268138cb6865298
+SHA1 (patch-ab) = bb44cf8b2904415df7c6c20ad6d3bcfc996cf1dc
 SHA1 (patch-ac) = dea1b6fba42d77a4fe6b2e9269cdab0521d3a305
-SHA1 (patch-ad) = c707545313bd4382825cedde30032f9083003823
+SHA1 (patch-ad) = c693dda2eef870d625d78da8f4e977613358314e
+SHA1 (patch-ae) = 035419a4e8a505c672f727c843dbd977acd8ce35
+SHA1 (patch-af) = 520dbdec4a8cba6e82b08c169d97c3caebacd419
+SHA1 (patch-ag) = 513bb0135755c3230c3da65e48247d8afe59dbda
+SHA1 (patch-ah) = af779ee0302fb3ae0cabd579f9a4772e7214106e
+SHA1 (patch-ai) = 57d891785a45ec532757a48e77adafec091f3953
+SHA1 (patch-aj) = c244b5c60e61594c3d2c0bc95e05e12ad68938db
+SHA1 (patch-ak) = 0a29c6b7daf1ae34b528dbb2535d05009ad61b84
+SHA1 (patch-al) = d214415937d2c227ad1bcb1c14b9ddc001ad7cb4
+SHA1 (patch-am) = 2e10fd8096449ebc3428ef493e1ae4fe61a98e00
+SHA1 (patch-an) = 57a79bddc3f0e8237b72486aa8f8906f318ca38d
+SHA1 (patch-ao) = 72aa455cbc10afc6a744fd0684ec2d7a2e2c19c7
+SHA1 (patch-ap) = 1b842a59b821b2703b68935f59a65ffb6db3a68f
Index: sysutils/libgtop2/patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/patches/patch-aa,v
retrieving revision 1.2
diff -u -r1.2 patch-aa
--- sysutils/libgtop2/patches/patch-aa	4 May 2004 23:36:16 -0000	1.2
+++ sysutils/libgtop2/patches/patch-aa	8 Jul 2005 21:51:10 -0000
@@ -1,8 +1,13 @@
-$NetBSD: patch-aa,v 1.2 2004/05/04 23:36:16 minskim Exp $
+$NetBSD$
 
---- configure.orig	2004-04-07 05:19:43.000000000 -0500
+--- configure.orig	2005-04-09 09:51:09.000000000 +0000
 +++ configure
-@@ -20463,13 +20463,13 @@ echo $ECHO_N "checking for libgtop sysde
+@@ -20137,17 +20137,17 @@ echo $ECHO_N "checking for libgtop sysde
+ 	  libgtop_have_sysinfo=yes
+ 	  libgtop_need_server=no
+ 	  ;;
+-	freebsd*|netbsd*|openbsd*|bsdi*)
++	freebsd*|netbsd*|openbsd*|bsdi*|dragonfly*)
  	  libgtop_sysdeps_dir=freebsd
  	  libgtop_use_machine_h=yes
  	  libgtop_need_server=yes
@@ -18,7 +23,121 @@
  	  ;;
          aix*)
  	  libgtop_sysdeps_dir=aix
-@@ -30110,7 +30110,7 @@ cat >>conftest.$ac_ext <<_ACEOF
+@@ -20195,7 +20195,7 @@ echo "${ECHO_T}$libgtop_sysdeps_dir" >&6
+ 
+ 
+ 	case "$host_os" in
+-	*bsd*)
++	*bsd*|dragonfly*)
+ 
+ for ac_header in net/if_var.h
+ do
+@@ -20367,7 +20367,9 @@ cat >>conftest.$ac_ext <<_ACEOF
+ #include <net/netisr.h>
+ #include <net/route.h>
+ 
+-#if defined(__FreeBSD__) || defined(__NetBSD__)
++#if defined(__DragonFly__)
++#include <net/sppp/if_sppp.h>
++#elif defined(__FreeBSD__) || defined(__NetBSD__)
+ #include <net/if_sppp.h>
+ #else
+ #include <i4b/sppp/if_sppp.h>
+@@ -20441,7 +20443,9 @@ cat >>conftest.$ac_ext <<_ACEOF
+ #include <net/netisr.h>
+ #include <net/route.h>
+ 
+-#if defined(__FreeBSD__) || defined(__NetBSD__)
++#if defined(__DragonFly__)
++#include <net/sppp/if_sppp.h>
++#elif defined(__FreeBSD__) || defined(__NetBSD__)
+ #include <net/if_sppp.h>
+ #else
+ #include <i4b/sppp/if_sppp.h>
+@@ -23796,6 +23800,73 @@ echo "${ECHO_T}no" >&6
+ 
+ fi
+ 
++echo "$as_me:$LINENO: checking for kinfo_get_sched_hz in -lkinfo" >&5
++echo $ECHO_N "checking for kinfo_get_sched_hz in -lkinfo... $ECHO_C" >&6
++if test "${ac_cv_lib_kinfo_kinfo_get_sched_gz+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_check_lib_save_LIBS=$LIBS
++LIBS="-lkinfo  $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++/* Override any gcc2 internal prototype to avoid an error.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++/* We use char because int might match the return type of a gcc2
++   builtin and then its argument prototype would still apply.  */
++char kinfo_get_sched_hz ();
++int
++main ()
++{
++kinfo_get_sched_hz ();
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++  (eval $ac_link) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest$ac_exeext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_cv_lib_kinfo_kinfo_get_sched_hz=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_cv_lib_kinfo_kinfo_get_sched_hz=no
++fi
++rm -f conftest.err conftest.$ac_objext \
++      conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++echo "$as_me:$LINENO: result: $ac_cv_lib_kinfo_kinfo_get_sched_hz" >&5
++echo "${ECHO_T}$ac_cv_lib_kinfo_kinfo_get_sched_hz" >&6
++if test $ac_cv_lib_kinfo_kinfo_get_sched_hz = yes; then
++
++  LIBS="-lkinfo $LIBS"
++fi
+ 
+ 
+ echo "$as_me:$LINENO: checking for vm_statistics in -lmach" >&5
+@@ -29498,7 +29569,7 @@ if test x$cross_compiling = xyes ; then
+         sunos*)
+           fu_cv_sys_stat_statfs4=yes
+           ;;
+-        freebsd*)
++        freebsd* | dragonfly*)
+           fu_cv_sys_stat_statfs2_bsize=yes
+           ;;
+         osf*)
+@@ -30143,7 +30214,7 @@ cat >>conftest.$ac_ext <<_ACEOF
  
  _ACEOF
  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
Index: sysutils/libgtop2/patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/patches/patch-ab,v
retrieving revision 1.2
diff -u -r1.2 patch-ab
--- sysutils/libgtop2/patches/patch-ab	22 Mar 2005 16:03:37 -0000	1.2
+++ sysutils/libgtop2/patches/patch-ab	8 Jul 2005 21:51:10 -0000
@@ -1,7 +1,16 @@
-$NetBSD: patch-ab,v 1.2 2005/03/22 16:03:37 jmmv Exp $
+$NetBSD$
 
---- sysdeps/freebsd/proctime.c.orig	2005-02-23 09:20:45.000000000 +0100
+--- sysdeps/freebsd/proctime.c.orig	2005-02-23 08:20:45.000000000 +0000
 +++ sysdeps/freebsd/proctime.c
+@@ -57,7 +57,7 @@ glibtop_init_proc_time_p (glibtop *serve
+  * system, and interrupt time usage.
+  */
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 
+ #ifndef __FreeBSD__
+ static void
 @@ -137,11 +137,6 @@ glibtop_get_proc_time_p (glibtop *server
  #if (defined(__NetBSD__) && (__NetBSD_Version__ >= 104000000))
  	if (server->sysdeps.proc_time == 0)
@@ -14,3 +23,35 @@
  #endif
  
  	/* Get the process information */
+@@ -151,7 +146,9 @@ glibtop_get_proc_time_p (glibtop *server
+ 
+ #if defined(__FreeBSD__) && (__FreeBSD_version >= 500013)
+ 	buf->rtime = pinfo [0].ki_runtime;
+-#elif (defined __FreeBSD__) && (__FreeBSD_version <= 500013)
++#elif defined(__DragonFly__)
++	buf->rtime = pinfo[0].kp_eproc.e_uticks / 100000;
++#elif (defined __FreeBSD__) && (__FreeBSD_version <= 500013))
+ 	buf->rtime = pinfo [0].kp_proc.p_runtime;
+ #else
+ 	buf->rtime = tv2sec (pinfo [0].kp_proc.p_rtime);
+@@ -202,7 +199,7 @@ glibtop_get_proc_time_p (glibtop *server
+ 
+ 	glibtop_suid_enter (server);
+ 
+-#elif (__FreeBSD_version <= 500013)
++#elif defined(__DragonFly__) || (defined(__FreeBSD__) || (__FreeBSD_version <= 500013))
+ 
+         if ((pinfo [0].kp_proc.p_flag & P_INMEM) &&
+             kvm_uread (server->machine.kd, &(pinfo [0]).kp_proc,
+@@ -214,7 +211,11 @@ glibtop_get_proc_time_p (glibtop *server
+                        buf->stime = tv2sec (pinfo[0].kp_eproc.e_stats.p_ru.ru_stime);
+                        buf->cutime = tv2sec (pinfo[0].kp_eproc.e_stats.p_cru.ru_utime);
+                        buf->cstime = tv2sec (pinfo[0].kp_eproc.e_stats.p_cru.ru_stime);
++#if defined(__DragonFly__)
++                       buf->start_time = tv2sec (pinfo[0].kp_thread.td_start);
++#else
+                        buf->start_time = tv2sec (pinfo[0].kp_eproc.e_stats.p_start);
++#endif
+                        buf->flags = _glibtop_sysdeps_proc_time_user;
+                        glibtop_suid_leave (server);
+ 		}
Index: sysutils/libgtop2/patches/patch-ad
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/libgtop2/patches/patch-ad,v
retrieving revision 1.2
diff -u -r1.2 patch-ad
--- sysutils/libgtop2/patches/patch-ad	27 Mar 2005 11:18:37 -0000	1.2
+++ sysutils/libgtop2/patches/patch-ad	8 Jul 2005 21:51:10 -0000
@@ -1,6 +1,6 @@
-$NetBSD: patch-ad,v 1.2 2005/03/27 11:18:37 jmmv Exp $
+$NetBSD$
 
---- sysdeps/freebsd/fsusage.c.orig	2005-02-28 09:54:41.000000000 +0100
+--- sysdeps/freebsd/fsusage.c.orig	2005-02-28 08:54:41.000000000 +0000
 +++ sysdeps/freebsd/fsusage.c
 @@ -1,3 +1,7 @@
 +#ifdef HAVE_CONFIG_H
Index: sysutils/libgtop2/patches/patch-ae
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ae
diff -N sysutils/libgtop2/patches/patch-ae
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ae	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,87 @@
+$NetBSD$
+
+--- sysdeps/freebsd/cpu.c.orig	2005-07-08 19:49:56.000000000 +0000
++++ sysdeps/freebsd/cpu.c
+@@ -27,16 +27,73 @@
+ 
+ #include <glibtop_suid.h>
+ 
+-#ifdef __NetBSD__
+-#include <sys/sched.h>
+-#endif
+-
+ static const unsigned long _glibtop_sysdeps_cpu =
+ (1L << GLIBTOP_CPU_TOTAL) + (1L << GLIBTOP_CPU_USER) +
+ (1L << GLIBTOP_CPU_NICE) + (1L << GLIBTOP_CPU_SYS) +
+ (1L << GLIBTOP_CPU_IDLE) + (1L << GLIBTOP_CPU_FREQUENCY) +
+ (1L << GLIBTOP_CPU_IOWAIT);
+ 
++#if defined(__DragonFly__)
++#include <kinfo.h>
++
++/* Init function. */
++
++void
++glibtop_init_cpu_p (glibtop *server)
++{
++	server->sysdeps.cpu = _glibtop_sysdeps_cpu;
++}
++
++/* Provides information about cpu usage. */
++void
++glibtop_get_cpu_p (glibtop *server, glibtop_cpu *buf)
++{
++	struct kinfo_cputime cp_time;
++	int hz;
++
++	glibtop_init_p (server, (1L << GLIBTOP_SYSDEPS_CPU), 0);
++
++	memset (buf, 0, sizeof (glibtop_cpu));
++
++	/* If this fails, the module was not setuped. */
++	if (server->sysdeps.cpu == 0)
++		return;
++
++	if (kinfo_get_sched_cputime(&cp_time)) {
++		glibtop_warn_io_r (server, "kinfo_get_sched_cputime");
++		return;
++	}
++	if (kinfo_get_sched_hz(&hz)) {
++		glibtop_warn_io_r (server, "kinfo_get_sched hz");
++		return;
++	}
++	/* set user time */
++	buf->user = cp_time.cp_user;
++	/* set nice time */
++	buf->nice = cp_time.cp_nice;
++	/* set sys time */
++	buf->sys = cp_time.cp_sys;
++	/* set idle time */
++	buf->idle = cp_time.cp_idle;
++	/* set iowait (really just interrupt) time */
++	buf->iowait = cp_time.cp_idle;
++
++	/* set frequency */
++	buf->frequency = hz;
++	/* set total */
++	buf->total = cp_time.cp_user + cp_time.cp_sys + cp_time.cp_nice +
++	    cp_time.cp_idle;
++
++	/* Set the flags last. */
++	buf->flags = _glibtop_sysdeps_cpu;
++}
++
++#else
++
++#ifdef __NetBSD__
++#include <sys/sched.h>
++#endif
++
+ #ifndef KERN_CP_TIME
+ /* nlist structure for kernel access */
+ static struct nlist nlst [] = {
+@@ -141,3 +198,4 @@ glibtop_get_cpu_p (glibtop *server, glib
+ 	/* Set the flags last. */
+ 	buf->flags = _glibtop_sysdeps_cpu;
+ }
++#endif
Index: sysutils/libgtop2/patches/patch-af
===================================================================
RCS file: sysutils/libgtop2/patches/patch-af
diff -N sysutils/libgtop2/patches/patch-af
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-af	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- sysdeps/freebsd/glibtop_machine.h.orig	2005-07-08 19:00:00.000000000 +0000
++++ sysdeps/freebsd/glibtop_machine.h
+@@ -27,7 +27,9 @@
+ #include <sys/param.h>
+ #include <nlist.h>
+ #include <kvm.h>
++#ifndef __DragonFly__
+ #include <sys/dkstat.h>
++#endif
+ #include <time.h>
+ #include <sys/user.h>
+ #include <sys/types.h>
Index: sysutils/libgtop2/patches/patch-ag
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ag
diff -N sysutils/libgtop2/patches/patch-ag
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ag	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,66 @@
+$NetBSD$
+
+--- sysdeps/freebsd/mem.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/mem.c
+@@ -121,6 +121,9 @@ glibtop_get_mem_p (glibtop *server, glib
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+ 	struct uvmexp uvmexp;
+ 	size_t length_uvmexp;
++#elif defined(__DragonFly__)
++	struct vmstats vms;
++	size_t vms_size;
+ #else
+ 	struct vmmeter vmm;
+ #endif
+@@ -153,6 +156,12 @@ glibtop_get_mem_p (glibtop *server, glib
+ 		glibtop_warn_io_r (server, "sysctl (uvmexp)");
+ 		return;
+ 	}
++#elif defined(__DragonFly__)
++	vms_size = sizeof(vms);
++	if (sysctlbyname("vm.vmstats", &vms, &vms_size, NULL, 0)) {
++		glibtop_warn_io_r (server, "kvm_read (vms)");
++		return;
++	}
+ #else
+ 	/* Get the data from kvm_* */
+ 	if (kvm_read (server->machine.kd, nlst[1].n_value,
+@@ -170,7 +179,9 @@ glibtop_get_mem_p (glibtop *server, glib
+ 
+ 	/* convert memory stats to Kbytes */
+ 
+-#if defined(__FreeBSD__)
++#if defined(__DragonFly__)
++	v_total_count = vms.v_page_count;
++#elif defined(__FreeBSD__)
+ 	v_total_count = vmm.v_page_count;
+ #else
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+@@ -188,6 +199,9 @@ glibtop_get_mem_p (glibtop *server, glib
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+ 	v_used_count = uvmexp.active + uvmexp.inactive;
+ 	v_free_count = uvmexp.free;
++#elif defined(__DragonFly__)
++	v_used_count = vms.v_active_count + vms.v_inactive_count;
++	v_free_count = vms.v_free_count;
+ #else
+ 	v_used_count = vmm.v_active_count + vmm.v_inactive_count;
+ 	v_free_count = vmm.v_free_count;
+@@ -197,12 +211,16 @@ glibtop_get_mem_p (glibtop *server, glib
+ 	buf->used  = (guint64) pagetok (v_used_count) << LOG1024;
+ 	buf->free  = (guint64) pagetok (v_free_count) << LOG1024;
+ 
+-#ifdef __FreeBSD__
++#if defined(__DragonFly__)
++	buf->cached = (guint64) pagetok (vms.v_cache_count) << LOG1024;
++#elif defined(__FreeBSD__)
+ 	buf->cached = (guint64) pagetok (vmm.v_cache_count) << LOG1024;
+ #endif
+ 
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+ 	buf->locked = (guint64) pagetok (uvmexp.wired) << LOG1024;
++#elif defined(__DragonFly__)
++	buf->locked = (guint64) pagetok (vms.v_wire_count) << LOG1024;
+ #else
+ 	buf->locked = (guint64) pagetok (vmm.v_wire_count) << LOG1024;
+ #endif
Index: sysutils/libgtop2/patches/patch-ah
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ah
diff -N sysutils/libgtop2/patches/patch-ah
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ah	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,12 @@
+$NetBSD$
+
+--- sysdeps/freebsd/open.c.orig	2005-07-08 19:38:02.000000000 +0000
++++ sysdeps/freebsd/open.c
+@@ -22,6 +22,7 @@
+ */
+ 
+ #include <glibtop.h>
++#include <glibtop/error.h>
+ #include <glibtop/open.h>
+ 
+ /* !!! THIS FUNCTION RUNS SUID ROOT - CHANGE WITH CAUTION !!! */
Index: sysutils/libgtop2/patches/patch-ai
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ai
diff -N sysutils/libgtop2/patches/patch-ai
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ai	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,46 @@
+$NetBSD$
+
+--- sysdeps/freebsd/prockernel.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/prockernel.c
+@@ -35,7 +35,7 @@
+ #include <sys/user.h>
+ #endif
+ #if !defined(__bsdi__) && !(defined(__FreeBSD__) && defined(__alpha__)) && \
+-    !defined(__NetBSD__)
++    !defined(__NetBSD__) && !defined(__DragonFly__)
+ #include <machine/pcb.h>
+ #endif
+ 
+@@ -93,7 +93,7 @@ glibtop_get_proc_kernel_p (glibtop *serv
+ 			   pid_t pid)
+ {
+ 	struct kinfo_proc *pinfo;
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 	struct user *u_addr = (struct user *)USRSTACK;
+ 	struct pstats pstats;
+ 	struct pcb pcb;
+@@ -126,9 +126,14 @@ glibtop_get_proc_kernel_p (glibtop *serv
+ 
+ #else
+ 
++#ifdef __DragonFly__
++#define PROC_WCHAN	kp_thread.td_wchan
++#define PROC_WMESG	kp_thread.td_wmesg
++#else
+ #define	PROC_WCHAN	kp_proc.p_wchan
+ #define	PROC_WMESG	kp_proc.p_wmesg
+ #define	PROC_WMESG	kp_eproc.e_wmesg
++#endif
+ 
+ #endif
+ 
+@@ -146,7 +151,7 @@ glibtop_get_proc_kernel_p (glibtop *serv
+ 	}
+ #endif
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 
+ 	/* Taken from `saveuser ()' in `/usr/src/bin/ps/ps.c'. */
+ 
Index: sysutils/libgtop2/patches/patch-aj
===================================================================
RCS file: sysutils/libgtop2/patches/patch-aj
diff -N sysutils/libgtop2/patches/patch-aj
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-aj	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,16 @@
+$NetBSD$
+
+--- sysdeps/freebsd/proclist.c.orig	2004-09-23 22:44:19.000000000 +0000
++++ sysdeps/freebsd/proclist.c
+@@ -92,7 +92,11 @@ glibtop_get_proclist_p (glibtop *server,
+ 
+ #else
+ #define PROC_STAT	kp_proc.p_stat
++#ifdef __DragonFly__
++#define PROC_RUID	kp_eproc.e_ucred.cr_ruid
++#else
+ #define PROC_RUID	kp_eproc.e_pcred.p_ruid
++#endif
+ #define PROC_PID	kp_proc.p_pid
+ 
+ #endif
Index: sysutils/libgtop2/patches/patch-ak
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ak
diff -N sysutils/libgtop2/patches/patch-ak
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ak	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,45 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procmap.c.orig	2005-02-23 08:20:45.000000000 +0000
++++ sysdeps/freebsd/procmap.c
+@@ -40,7 +40,7 @@
+ #else
+ #include <vm/vm_object.h>
+ #include <vm/vm_map.h>
+-#if (__FreeBSD_version >= 400011)
++#if defined(__DragonFly__) || (defined(__FreeBSD__) && __FreeBSD_version >= 400011)
+ #include <vm/vm.h>
+ #else
+ #include <vm/vm_prot.h>
+@@ -108,9 +108,9 @@ glibtop_get_proc_map_p (glibtop *server,
+ 	struct vm_object object;
+ #endif
+ 	glibtop_map_entry *maps;
+-#if defined __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 	struct vnode vnode;
+-#if __FreeBSD_version < 500039
++#if (defined(__FreeBSD__) && __FreeBSD_version < 500039) || defined(__DragonFly__)
+ 	struct inode inode;
+ #endif
+ #endif
+@@ -178,8 +178,8 @@ glibtop_get_proc_map_p (glibtop *server,
+ 			update = 1;
+ 		}
+ 
+-#ifdef __FreeBSD__
+-#if __FreeBSD__ >= 4
++#if defined(__FreeBSD__) || defined(__DragonFly__)
++#if (defined(__FreeBSD__) && __FreeBSD__ >= 4) || defined(__DragonFly__)
+ 		if (entry.eflags & (MAP_ENTRY_IS_SUB_MAP))
+ 			continue;
+ #else
+@@ -255,7 +255,7 @@ glibtop_get_proc_map_p (glibtop *server,
+ #endif
+ 
+ 
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 		/* If the object is of type vnode, add its size */
+ 
+ 		if (object.type != OBJT_VNODE)
Index: sysutils/libgtop2/patches/patch-al
===================================================================
RCS file: sysutils/libgtop2/patches/patch-al
diff -N sysutils/libgtop2/patches/patch-al
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-al	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procmem.c.orig	2005-03-01 23:03:57.000000000 +0000
++++ sysdeps/freebsd/procmem.c
+@@ -213,8 +213,8 @@ glibtop_get_proc_mem_p (glibtop *server,
+ 			return;
+ 		}
+ 
+-#ifdef __FreeBSD__
+-#if __FreeBSD__ >= 4
++#if defined(__FreeBSD__) || defined(__DragonFly__)
++#if defined(__DragonFly__) || (defined(__FreeBSD__) && __FreeBSD__ >= 4)
+ 		if (entry.eflags & (MAP_ENTRY_IS_SUB_MAP))
+ 			continue;
+ #else
Index: sysutils/libgtop2/patches/patch-am
===================================================================
RCS file: sysutils/libgtop2/patches/patch-am
diff -N sysutils/libgtop2/patches/patch-am
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-am	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,44 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procsignal.c.orig	2005-07-08 19:25:18.000000000 +0000
++++ sysdeps/freebsd/procsignal.c
+@@ -91,7 +91,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->signal [0] = pinfo [0].kp_proc.p_sigctx.ps_siglist.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->signal [0] = pinfo [0].PROC_SIGLIST.__bits[0];
+ #else
+ 	buf->signal [0] = pinfo [0].kp_proc.p_siglist;
+@@ -103,7 +104,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->blocked [0] = pinfo [0].kp_proc.p_sigctx.ps_sigmask.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->blocked [0] = pinfo [0].PROC_SIGMASK.__bits[0];
+ #else
+ 	buf->blocked [0] = pinfo [0].kp_proc.p_sigmask;
+@@ -115,7 +117,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->sigignore [0] = pinfo [0].kp_proc.p_sigctx.ps_sigignore.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->sigignore [0] = pinfo [0].PROC_SIGIGNORE.__bits[0];
+ #else
+ 	buf->sigignore [0] = pinfo [0].kp_proc.p_sigignore;
+@@ -127,7 +130,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->sigcatch [0] = pinfo [0].kp_proc.p_sigctx.ps_sigcatch.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->sigcatch [0] = pinfo [0].PROC_SIGCATCH.__bits[0];
+ #else
+ 	buf->sigcatch [0] = pinfo [0].kp_proc.p_sigcatch;
Index: sysutils/libgtop2/patches/patch-an
===================================================================
RCS file: sysutils/libgtop2/patches/patch-an
diff -N sysutils/libgtop2/patches/patch-an
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-an	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,19 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procstate.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/procstate.c
+@@ -80,6 +80,14 @@ glibtop_get_proc_state_p (glibtop *serve
+ #define	PROC_RGID	ki_rgid
+ #define PROC_STAT	ki_stat
+ 
++#elif defined(__DragonFly__)
++#define	PROC_COMM	kp_thread.td_comm
++#define	PROC_SVUID	kp_eproc.e_ucred.cr_svuid
++#define	PROC_SVGID	kp_eproc.e_ucred.cr_svgid
++#define	PROC_RUID	kp_eproc.e_ucred.cr_ruid
++#define	PROC_RGID	kp_eproc.e_ucred.cr_rgid
++#define	PROC_STAT	kp_proc.p_stat
++
+ #else
+ #define	PROC_COMM	kp_proc.p_comm
+ #define	PROC_SVUID	kp_eproc.e_pcred.p_svuid
Index: sysutils/libgtop2/patches/patch-ao
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ao
diff -N sysutils/libgtop2/patches/patch-ao
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ao	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,32 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procuid.c.orig	2004-09-23 22:44:19.000000000 +0000
++++ sysdeps/freebsd/procuid.c
+@@ -91,8 +91,17 @@ glibtop_get_proc_uid_p (glibtop *server,
+ #else
+ #define	PROC_PRIORITY	ki_priority
+ #endif
+-#else
++#elif defined(__DragonFly__)
++#define	PROC_RUID	kp_eproc.e_ucred.cr_ruid
++#define	PROC_SVUID	kp_eproc.e_ucred.cr_svuid
++#define	PROC_RGID	kp_eproc.e_ucred.cr_rgid
++#define	PROC_SVGID	kp_eproc.e_ucred.cr_svgid
++#define	PROC_PPID	kp_eproc.e_ppid
++#define	PROC_PGID	kp_eproc.e_pgid
++#define	PROC_TPGID	kp_eproc.e_tpgid
++#define	PROC_NICE	kp_proc.p_nice
+ 
++#else
+ #define	PROC_RUID	kp_eproc.e_pcred.p_ruid
+ #define	PROC_SVUID	kp_eproc.e_pcred.p_svuid
+ #define	PROC_RGID	kp_eproc.e_pcred.p_rgid
+@@ -115,7 +124,7 @@ glibtop_get_proc_uid_p (glibtop *server,
+ 	buf->tpgid = pinfo [0].PROC_TPGID;
+ 
+ 	buf->nice     = pinfo [0].PROC_NICE;
+-#if defined(__NetBSD__) && defined(SACTIVE)
++#if defined(__DragonFly__) || (defined(__NetBSD__) && defined(SACTIVE))
+ 	buf->priority = 0;
+ #else
+ 	buf->priority = pinfo [0].PROC_PRIORITY;
Index: sysutils/libgtop2/patches/patch-ap
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ap
diff -N sysutils/libgtop2/patches/patch-ap
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ap	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,69 @@
+$NetBSD$
+
+--- sysdeps/freebsd/swap.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/swap.c
+@@ -32,7 +32,10 @@ static const unsigned long _glibtop_sysd
+ (1L << GLIBTOP_SWAP_FREE) + (1L << GLIBTOP_SWAP_PAGEIN) +
+ (1L << GLIBTOP_SWAP_PAGEOUT);
+ 
+-#if defined(__FreeBSD__) || defined(__bsdi__)
++#if defined(__DragonFly__)
++#include <sys/vmmeter.h>
++
++#elif defined(__FreeBSD__) || defined(__bsdi__)
+ 
+ #include <sys/conf.h>
+ #ifdef __bsdi__
+@@ -93,8 +96,8 @@ static struct nlist nlst2 [] = {
+ void
+ glibtop_init_swap_p (glibtop *server)
+ {
+-#if defined(__FreeBSD__) || defined(__bsdi__)
+-#if __FreeBSD__ < 4 || defined(__bsdi__)
++#if defined(__DragonFly__) || defined(__FreeBSD__) || defined(__bsdi__)
++#if !defined(__DragonFly__) && (__FreeBSD__ < 4 || defined(__bsdi__))
+ 	if (kvm_nlist (server->machine.kd, nlst) < 0) {
+ 		glibtop_warn_io_r (server, "kvm_nlist (swap)");
+ 		return;
+@@ -129,9 +132,9 @@ glibtop_init_swap_p (glibtop *server)
+ void
+ glibtop_get_swap_p (glibtop *server, glibtop_swap *buf)
+ {
+-#if defined(__FreeBSD__)
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 
+-# if __FreeBSD__ < 4
++# if defined(__FreeBSD__) && __FreeBSD__ < 4
+ 	char *header;
+ 	int hlen, nswdev, dmmax;
+ 	int div, nfree, npfree;
+@@ -193,7 +196,7 @@ glibtop_get_swap_p (glibtop *server, gli
+ 		buf->pagein = 0;
+ 		buf->pageout = 0;
+ 	} else {
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 		buf->pagein = vmm.v_swappgsin - swappgsin;
+ 		buf->pageout = vmm.v_swappgsout - swappgsout;
+ #else
+@@ -207,7 +210,7 @@ glibtop_get_swap_p (glibtop *server, gli
+ #endif
+ 	}
+ 
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+         swappgsin = vmm.v_swappgsin;
+ 	swappgsout = vmm.v_swappgsout;
+ #else
+@@ -220,9 +223,9 @@ glibtop_get_swap_p (glibtop *server, gli
+ #endif
+ #endif
+ 
+-#if defined(__FreeBSD__)
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 
+-#if __FreeBSD__ < 4
++#if defined(__FreeBSD__) && __FreeBSD__ < 4
+ 
+ 	/* Size of largest swap device. */
+ 
Index: wm/bsetroot/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/wm/bsetroot/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- wm/bsetroot/distinfo	23 Feb 2005 18:43:53 -0000	1.4
+++ wm/bsetroot/distinfo	8 Jul 2005 21:51:19 -0000
@@ -6,3 +6,4 @@
 SHA1 (patch-aa) = 134f628eef5cec1e9d7ce4b95a57c7e35a2307d9
 SHA1 (patch-ab) = 0654be7d1465d0adc331714377f17e6e6bd459da
 SHA1 (patch-ac) = 5f249a2e6d75e5d88605d6d8a1675d003b1cb52f
+SHA1 (patch-ad) = a39dee423ea041f8c72c0c9144ffda06c20242eb
Index: wm/bsetroot/patches/patch-ad
===================================================================
RCS file: wm/bsetroot/patches/patch-ad
diff -N wm/bsetroot/patches/patch-ad
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ wm/bsetroot/patches/patch-ad	8 Jul 2005 21:51:19 -0000
@@ -0,0 +1,16 @@
+$NetBSD$
+
+--- src/Timer.hh.orig	2005-07-07 14:15:48.000000000 +0000
++++ src/Timer.hh
+@@ -98,9 +98,9 @@ public:
+   ~_timer_queue(void) {}
+ 
+   void release(const _Tp& value) {
+-    c.erase(std::remove(c.begin(), c.end(), value), c.end());
++    _Base::c.erase(std::remove(_Base::c.begin(), _Base::c.end(), value), _Base::c.end());
+     // after removing the item we need to make the heap again
+-    std::make_heap(c.begin(), c.end(), comp);
++    std::make_heap(_Base::c.begin(), _Base::c.end(), _Base::comp);
+   }
+   bool empty(void) const { return _Base::empty(); }
+   size_t size(void) const { return _Base::size(); }
Index: www/firefox/Makefile-firefox.common
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/Makefile-firefox.common,v
retrieving revision 1.18
diff -u -r1.18 Makefile-firefox.common
--- www/firefox/Makefile-firefox.common	14 May 2005 15:27:10 -0000	1.18
+++ www/firefox/Makefile-firefox.common	8 Jul 2005 21:51:23 -0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile-firefox.common,v 1.18 2005/05/14 15:27:10 taya Exp $
+# $NetBSD: pkgsrc/www/firefox/Makefile-firefox.common,v 1.18 2005/05/14 15:27:10 taya Exp $
 
 MOZILLA_BIN=	firefox-bin
 MOZ_VER=	1.0.4
@@ -24,6 +24,7 @@
 CONFIGURE_ARGS+=	--disable-composer
 CONFIGURE_ARGS+=	--enable-single-profile
 CONFIGURE_ARGS+=	--without-gssapi
+CONFIGURE_ARGS+=	--enable-crypto
 
 MOZILLA_EXTENSIONS=	cookie,gnomevfs,inspector,negotiateauth,pref,transformiix,universalchardet,webservices,xml-rpc,xmlextras
 CONFIGURE_ARGS+=	--enable-extensions=${MOZILLA_EXTENSIONS}
Index: www/firefox/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/distinfo,v
retrieving revision 1.33
diff -u -r1.33 distinfo
--- www/firefox/distinfo	22 Jun 2005 22:05:34 -0000	1.33
+++ www/firefox/distinfo	8 Jul 2005 21:51:23 -0000
@@ -4,8 +4,8 @@
 RMD160 (firefox-1.0.4/firefox-1.0.4-source.tar.bz2) = 4b04740fe4615ddddd16ec296509177ab29d4edc
 Size (firefox-1.0.4/firefox-1.0.4-source.tar.bz2) = 32756592 bytes
 SHA1 (patch-aa) = 9225a7a2c9b4545e800008169d4d88452c85d1a9
-SHA1 (patch-ab) = 0c1f2d6cca09b4dd6b168ed29d84d245967a3369
-SHA1 (patch-ac) = 32aa4b92eea19aca07077a292cb759d074026642
+SHA1 (patch-ab) = db7a3f0e8d7b651a1e5d8f1339019f34cb98eac7
+SHA1 (patch-ac) = 83f5f6f2492d55c2bd96e7511514dcd763c977b5
 SHA1 (patch-ad) = 19afc8dfaf9f14439d747e42ee2f64a9c1a9dc3d
 SHA1 (patch-ae) = 364b91f0bf51e49bb140e13dfb775a89ea38bb28
 SHA1 (patch-af) = 6addfc2bd0b3e3aaefff6cce6836384ca44baf30
@@ -22,10 +22,10 @@
 SHA1 (patch-ba) = a0d70d713d2d4746d9128724c382b019f353f5af
 SHA1 (patch-bb) = 9ba4bcd86e581496bbc6b40b3a3f062dfd5e416f
 SHA1 (patch-bm) = 6bd7bf1262cec43b0324693d43929497c3fb3991
-SHA1 (patch-bo) = 7d6e0353666810992ab0b09d804f9f48ef90b984
-SHA1 (patch-bq) = 3b8a951828b0e6906e4352027b4d36c9b1f8aaae
+SHA1 (patch-bo) = f99e3b9559e38b7e6b39384b492424de8255eca4
+SHA1 (patch-bq) = 9dc1be8c9ed28d8085102797d693481d129fed4c
 SHA1 (patch-br) = 6311da23ec126fe0959cb19502a22c106f8f975c
-SHA1 (patch-bs) = 81065130c96bf966b22e6abb767a5b674dcb52cb
+SHA1 (patch-bs) = ac910aaf7eaaacc453c36ac099f3cca7496c9133
 SHA1 (patch-bt) = 6e3ceb31866dfb0dba81c93446db2b21e1df9baa
 SHA1 (patch-bu) = db33b8651e3cb1fbf9a18dbe78e1e8288cfda0ee
 SHA1 (patch-bv) = 4f23dfd885131ea866f31370f1421e7c19706860
@@ -39,10 +39,27 @@
 SHA1 (patch-cd) = bbe839bce72a1d6816fa0c091172a818fb469981
 SHA1 (patch-ce) = f7db7a46d40b80287774f93d55b05a5ad0c79214
 SHA1 (patch-cf) = 337bc106afe7ce3fa6678fca4c0317714393a977
-SHA1 (patch-cg) = 0b637509a5dfcc1ebe26412899da41dc3d06e6df
+SHA1 (patch-cg) = cb58278120cb8e067dd20354d877f9467fe26590
 SHA1 (patch-ch) = 281dc9957784b4f75170377d09c22735ce7f8500
 SHA1 (patch-ci) = b9868757c31ea577c2df99eb7f41503d55d904f0
 SHA1 (patch-cj) = a17331d248dd0d3ed85c81f6c1095f384d810b0d
 SHA1 (patch-ck) = 5db42f8047046e10f388bdaf299c35c415a50f8d
 SHA1 (patch-cl) = 1450e99f5e5f31f0e8d01b68bb50494f84eed068
 SHA1 (patch-cm) = 2a347bcf5814816539835caf65dd888f71ceea20
+SHA1 (patch-db) = 2188ac37d5af04ab0022512b5a6486d18361d1d9
+SHA1 (patch-dc) = 3b1cf94da773f58194e75397ed8bd2ba8f636bc0
+SHA1 (patch-dd) = 3048d44c50cf85bf3dd3820213d7095bf2c7149f
+SHA1 (patch-df) = f9cb461b1f18f261af7115dc3b18fcbc1fef0a56
+SHA1 (patch-dh) = 500f8836d20ccab30f96215b18118f79a4f9ba2e
+SHA1 (patch-di) = 7e4d2924584593cf6467e026581d0216349c40d5
+SHA1 (patch-dj) = 73946a35ba6ac949c4717bb043fc63e4bcf60d4d
+SHA1 (patch-dk) = 2974c32601b0a793935d21e4f55a2eb3b20da915
+SHA1 (patch-dl) = 68287c1fe478eb221af4a43a3dea585b46ebe421
+SHA1 (patch-dm) = cfe45c664bafb035a00f4b346efb866d2079f5cb
+SHA1 (patch-do) = e12ba005ecbaf066275e5410ca97244cb8f729e7
+SHA1 (patch-dp) = b1087dc8f85ed18e54d371ddb2dc47b4b199da36
+SHA1 (patch-dr) = c35f305f63bcd5ddc3e55725ddcb9f03c0ea29c0
+SHA1 (patch-ds) = 2d101e4ceeba746f92896c1134eb303cb682cb4a
+SHA1 (patch-dt) = 8e70ff6babd4b236d51bcf6d47f2b26c4c643369
+SHA1 (patch-du) = 7a499969651573d923b6e40d06d9c3ae467ad6ce
+SHA1 (patch-dv) = 5baa26fcf9295b776a0ac08386d10dcb005ab0f7
Index: www/firefox/patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-ab,v
retrieving revision 1.2
diff -u -r1.2 patch-ab
--- www/firefox/patches/patch-ab	23 Jun 2004 16:47:12 -0000	1.2
+++ www/firefox/patches/patch-ab	8 Jul 2005 21:51:23 -0000
@@ -1,8 +1,17 @@
-$NetBSD: patch-ab,v 1.2 2004/06/23 16:47:12 taya Exp $
+$NetBSD: pkgsrc/www/firefox/patches/patch-ab,v 1.2 2004/06/23 16:47:12 taya Exp $
 
 diff -ru ../Orig/mozilla/configure.in ./configure.in
 --- ../Orig/mozilla/configure.in	2004-05-14 06:57:46.000000000 +0900
 +++ ./configure.in	2004-06-15 23:55:39.000000000 +0900
+@@ -1008,7 +1008,7 @@
+     esac
+     ;;
+ 
+-*-freebsd*)
++*-freebsd* | *-dragonfly*)
+     if test `test -x /usr/bin/objformat && /usr/bin/objformat || echo aout` != "elf"; then
+ 	DLL_SUFFIX=".so.1.0"
+ 	DSO_LDOPTS="-shared"
 @@ -1017,6 +1017,9 @@
  #	MKSHLIB_FORCE_ALL='-Wl,-Bforcearchive'
  #	MKSHLIB_UNFORCE_ALL=''
Index: www/firefox/patches/patch-ac
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-ac,v
retrieving revision 1.4
diff -u -r1.4 patch-ac
--- www/firefox/patches/patch-ac	24 Aug 2004 16:32:42 -0000	1.4
+++ www/firefox/patches/patch-ac	8 Jul 2005 21:51:23 -0000
@@ -1,8 +1,13 @@
-$NetBSD: patch-ac,v 1.4 2004/08/24 16:32:42 aymeric Exp $
+$NetBSD: pkgsrc/www/firefox/patches/patch-ac,v 1.4 2004/08/24 16:32:42 aymeric Exp $
 
 --- xpcom/reflect/xptcall/src/md/unix/Makefile.in.orig	2004-04-22 22:50:05.000000000 +0200
 +++ xpcom/reflect/xptcall/src/md/unix/Makefile.in
-@@ -49,6 +49,9 @@ ifneq (,$(filter FreeBSD NetBSD OpenBSD 
+@@ -45,10 +45,13 @@
+ #
+ # Lots of Unixish x86 flavors
+ #
+-ifneq (,$(filter FreeBSD NetBSD OpenBSD BSD_OS Darwin,$(OS_ARCH)))
++ifneq (,$(filter DragonFly FreeBSD NetBSD OpenBSD BSD_OS Darwin,$(OS_ARCH)))
  ifeq (86,$(findstring 86,$(OS_TEST)))
  CPPSRCS		:= xptcinvoke_unixish_x86.cpp xptcstubs_unixish_x86.cpp
  endif
@@ -12,7 +17,7 @@
  endif
  #
  # New code for Linux, et. al., with gcc
-@@ -140,7 +143,7 @@ endif
+@@ -140,7 +143,7 @@
  # NetBSD/ARM
  #
  ifeq ($(OS_ARCH),NetBSD)
@@ -21,7 +26,7 @@
  CPPSRCS		:= xptcinvoke_arm_netbsd.cpp xptcstubs_arm_netbsd.cpp
  endif
  endif
-@@ -174,7 +177,7 @@ endif
+@@ -174,7 +177,7 @@
  # NetBSD/m68k
  #
  ifeq ($(OS_ARCH),NetBSD)
@@ -30,7 +35,7 @@
  CPPSRCS		:= xptcinvoke_netbsd_m68k.cpp xptcstubs_netbsd_m68k.cpp
  endif
  endif
-@@ -257,6 +260,7 @@ endif
+@@ -257,6 +260,7 @@
  ifneq (,$(filter NetBSDmacppc NetBSDbebox NetBSDofppc NetBSDprep NetBSDamigappc,$(OS_ARCH)$(OS_TEST)))                           
  CPPSRCS		:= xptcinvoke_ppc_netbsd.cpp xptcstubs_ppc_netbsd.cpp
  ASFILES		:= xptcinvoke_asm_ppc_netbsd.s xptcstubs_asm_ppc_netbsd.s
@@ -38,7 +43,7 @@
  endif
  
  #
-@@ -305,6 +309,13 @@ ifeq ($(OS_ARCH)$(OS_TEST),NetBSDsparc)
+@@ -305,6 +309,13 @@
  CPPSRCS		:= xptcinvoke_sparc_netbsd.cpp xptcstubs_sparc_netbsd.cpp
  ASFILES		:= xptcinvoke_asm_sparc_netbsd.s xptcstubs_asm_sparc_netbsd.s
  endif
Index: www/firefox/patches/patch-bo
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-bo,v
retrieving revision 1.3
diff -u -r1.3 patch-bo
--- www/firefox/patches/patch-bo	4 Dec 2004 04:43:49 -0000	1.3
+++ www/firefox/patches/patch-bo	8 Jul 2005 21:51:23 -0000
@@ -1,18 +1,43 @@
-$NetBSD: patch-bo,v 1.3 2004/12/04 04:43:49 taya Exp $
+$NetBSD$
 
---- ../Orig/mozilla/nsprpub/configure.in	2004-04-17 07:28:02.000000000 +0900
-+++ ./nsprpub/configure.in	2004-07-27 01:25:32.000000000 +0900
-@@ -933,6 +933,9 @@
+--- nsprpub/configure.in.orig	2004-09-14 22:59:41.000000000 +0200
++++ nsprpub/configure.in
+@@ -933,6 +933,34 @@ case "$target" in
      DSO_LDOPTS='-shared -Wl,-soname -Wl,$(notdir $@)'
      MDCPUCFG_H=_freebsd.cfg
      PR_MD_CSRCS=freebsd.c
 +    if test "$LIBRUNPATH"; then
 +        DSO_LDOPTS="$DSO_LDOPTS -Wl,-R$LIBRUNPATH"
 +    fi
++    ;;
++
++*-dragonfly*)
++    if test -z "$USE_NSPR_THREADS"; then
++        USE_PTHREADS=1
++    fi
++    AC_DEFINE(XP_UNIX)
++    AC_DEFINE(FREEBSD)
++    AC_DEFINE(HAVE_BSD_FLOCK)
++    AC_DEFINE(HAVE_SOCKLEN_T)
++    CFLAGS="$CFLAGS $(DSO_CFLAGS) -ansi -Wall"
++    MOZ_OBJFORMAT=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
++    if test "$MOZ_OBJFORMAT" = "elf"; then
++        DLL_SUFFIX=so
++    else
++        DLL_SUFFIX=so.1.0
++    fi
++    MKSHLIB='$(CC) $(DSO_LDOPTS) -o $@'
++    DSO_CFLAGS=-fPIC
++    DSO_LDOPTS='-shared -Wl,-soname -Wl,$(notdir $@)'
++    MDCPUCFG_H=_freebsd.cfg
++    PR_MD_CSRCS=freebsd.c
++    if test "$LIBRUNPATH"; then
++        DSO_LDOPTS="$DSO_LDOPTS -Wl,-R$LIBRUNPATH"
++    fi
      ;;
  
  *-hpux*)
-@@ -1409,6 +1412,7 @@
+@@ -1417,6 +1445,7 @@ mips-nec-sysv*)
      AC_DEFINE(XP_UNIX)
      AC_DEFINE(NETBSD)
      AC_DEFINE(HAVE_BSD_FLOCK)
@@ -20,3 +45,30 @@
      USE_NSPR_THREADS=1
      MDCPUCFG_H=_netbsd.cfg
      PR_MD_CSRCS=netbsd.c
+@@ -2149,7 +2178,7 @@ if test -n "$USE_PTHREADS"; then
+ 	if test -z "`egrep -i '(unrecognize|unknown)' conftest.out | grep pthread`" && test -z "`egrep -i '(error|incorrect)' conftest.out`" ; then
+ 	    ac_cv_have_dash_pthread=yes
+ 		case "$target_os" in
+-	    freebsd*)
++	    freebsd* | dragonfly*)
+ # Freebsd doesn't use -pthread for compiles, it uses them for linking
+             ;;
+ 	    *)
+@@ -2187,7 +2216,7 @@ if test -n "$USE_PTHREADS"; then
+             _PTHREAD_LDFLAGS=
+         fi
+ 	    ;;
+-    *-freebsd*)
++    *-freebsd* | *-dragonfly*)
+ 	    AC_DEFINE(_REENTRANT)
+ 	    AC_DEFINE(_THREAD_SAFE)
+ 	    dnl -pthread links in -lc_r, so don't specify it explicitly.
+@@ -2269,7 +2298,7 @@ case "$target" in
+         AC_DEFINE(_PR_NEED_PTHREAD_INIT)
+     fi
+     ;;
+-*-freebsd*)
++*-freebsd* | *-dragonfly*)
+     if test -n "$USE_NSPR_THREADS"; then
+         AC_DEFINE(_PR_LOCAL_THREADS_ONLY)
+     fi
Index: www/firefox/patches/patch-bq
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-bq,v
retrieving revision 1.3
diff -u -r1.3 patch-bq
--- www/firefox/patches/patch-bq	23 Jun 2004 16:47:12 -0000	1.3
+++ www/firefox/patches/patch-bq	8 Jul 2005 21:51:23 -0000
@@ -1,4 +1,4 @@
-$NetBSD: patch-bq,v 1.3 2004/06/23 16:47:12 taya Exp $
+$NetBSD: pkgsrc/www/firefox/patches/patch-bq,v 1.3 2004/06/23 16:47:12 taya Exp $
 
 diff -ru ../Orig/mozilla/xpcom/io/nsLocalFileUnix.h ./xpcom/io/nsLocalFileUnix.h
 --- ../Orig/mozilla/xpcom/io/nsLocalFileUnix.h	2004-01-15 15:14:13.000000000 +0900
@@ -8,7 +8,7 @@
  
  // so we can statfs on freebsd
 -#if defined(__FreeBSD__)
-+#if defined(__FreeBSD__) || (defined(__NetBSD__) && !defined(HAVE_STATVFS))
++#if defined(__FreeBSD__) || ((defined(__DragonFly__) || defined(__NetBSD__)) && !defined(HAVE_STATVFS))
      #define HAVE_SYS_STATFS_H
      #define STATFS statfs
      #include <sys/param.h>
Index: www/firefox/patches/patch-bs
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-bs,v
retrieving revision 1.2
diff -u -r1.2 patch-bs
--- www/firefox/patches/patch-bs	23 Jun 2004 16:47:12 -0000	1.2
+++ www/firefox/patches/patch-bs	8 Jul 2005 21:51:23 -0000
@@ -1,15 +1,38 @@
-$NetBSD: patch-bs,v 1.2 2004/06/23 16:47:12 taya Exp $
+$NetBSD$
 
-diff -ru ../Orig/mozilla/config/mkdepend/imakemdep.h ./config/mkdepend/imakemdep.h
---- ../Orig/mozilla/config/mkdepend/imakemdep.h	1998-09-05 13:22:25.000000000 +0900
-+++ ./config/mkdepend/imakemdep.h	2004-06-15 23:56:48.000000000 +0900
-@@ -277,6 +277,9 @@
+--- config/mkdepend/imakemdep.h.orig	1998-09-05 06:22:25.000000000 +0200
++++ config/mkdepend/imakemdep.h	2004-11-17 10:33:27.000000000 +0100
+@@ -235,7 +235,7 @@
+ #ifdef _CRAY
+ #define DEFAULT_CPP "/lib/pcpp"
+ #endif
+-#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__)
++#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__DragonFly__)
+ #define DEFAULT_CPP "/usr/libexec/cpp"
+ #endif
+ #ifdef	MACH
+@@ -273,10 +273,13 @@
+ #ifdef unix
+ 	"-Uunix",	/* remove unix symbol so that filename unix.c okay */
+ #endif
+-#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(MACH)
++#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(MACH) || defined(__DragonFly__)
  # ifdef __i386__
  	"-D__i386__",
  # endif
-+#if defined(__amd64__) || defined(__x86_64__)
++# if defined(__amd64__) || defined(__x86_64__)
 +	"-D__amd64__ -D__x86_64__",
 +# endif
  # ifdef __GNUC__
  	"-traditional",
  # endif
+@@ -710,6 +713,9 @@
+ #ifdef __sgi
+ 	{"__sgi", "1"},
+ #endif
++#ifdef __DragonFly__
++	{"__DragonFly__", "1"},
++#endif
+ #ifdef __FreeBSD__
+ 	{"__FreeBSD__", "1"},
+ #endif
Index: www/firefox/patches/patch-cg
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-cg,v
retrieving revision 1.4
diff -u -r1.4 patch-cg
--- www/firefox/patches/patch-cg	22 Jun 2005 22:05:34 -0000	1.4
+++ www/firefox/patches/patch-cg	8 Jul 2005 21:51:23 -0000
@@ -2,7 +2,7 @@
 
 --- extensions/transformiix/source/base/Double.cpp.orig	2004-01-15 22:23:18.000000000 +0100
 +++ extensions/transformiix/source/base/Double.cpp	2005-06-20 11:26:26.000000000 +0200
-@@ -48,6 +48,38 @@
+@@ -48,8 +48,40 @@
   * Utility class for doubles
   */
  
@@ -39,9 +39,12 @@
 +#else	/* pre INFINITY C environment */
 +
  //A trick to handle IEEE floating point exceptions on FreeBSD - E.D.
- #ifdef __FreeBSD__
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
  #include <ieeefp.h>
-@@ -127,9 +159,20 @@
+ #ifdef __alpha__
+ fp_except_t allmask = FP_X_INV|FP_X_OFL|FP_X_UFL|FP_X_DZ|FP_X_IMP;
+@@ -127,9 +159,20 @@ const PRUint32 infMask[2] =    {0, TX_DO
  const PRUint32 negInfMask[2] = {0, TX_DOUBLE_HI32_EXPMASK | TX_DOUBLE_HI32_SIGNBIT};
  #endif
  
@@ -65,7 +68,7 @@
  
  /*
   * Determines whether the given double represents positive or negative
-@@ -157,6 +200,7 @@
+@@ -157,6 +200,7 @@ MBool Double::isNeg(double aDbl)
  {
      return (TX_DOUBLE_HI32(aDbl) & TX_DOUBLE_HI32_SIGNBIT) != 0;
  }
@@ -73,7 +76,7 @@
  
  /*
   * Converts the given String to a double, if the String value does not
-@@ -244,7 +288,7 @@
+@@ -244,7 +288,7 @@ public:
      {
          if (mState == eIllegal || mBuffer.IsEmpty() ||
              (mBuffer.Length() == 1 && mBuffer[0] == '.')) {
@@ -82,4 +85,3 @@
          }
          return mSign*PR_strtod(mBuffer.get(), 0);
      }
-
Index: www/firefox/patches/patch-db
===================================================================
RCS file: www/firefox/patches/patch-db
diff -N www/firefox/patches/patch-db
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-db	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- gc/boehm/gcconfig.h.orig	2004-11-17 10:31:05.000000000 +0100
++++ gc/boehm/gcconfig.h	2004-11-17 10:31:15.000000000 +0100
+@@ -183,7 +183,7 @@
+ #   define OPENBSD
+ #   define mach_type_known
+ # endif
+-# if defined(__FreeBSD__) && defined(i386)
++# if (defined(__FreeBSD__) || defined(__DragonFly__)) && defined(i386)
+ #   define I386
+ #   define FREEBSD
+ #   define mach_type_known
Index: www/firefox/patches/patch-dc
===================================================================
RCS file: www/firefox/patches/patch-dc
diff -N www/firefox/patches/patch-dc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dc	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,22 @@
+$NetBSD$
+
+--- gc/boehm/mach_dep.c.orig	2004-11-17 10:30:03.000000000 +0100
++++ gc/boehm/mach_dep.c	2004-11-17 10:30:50.000000000 +0100
+@@ -206,7 +206,7 @@
+ 	&& !defined(SCO) && !defined(SCO_ELF) \
+  	&& !(defined(LINUX)       && defined(__ELF__)) \
+ 	&& !(defined(__FreeBSD__) && defined(__ELF__)) \
+-	&& !defined(DOS4GW)
++	&& !defined(DOS4GW) && !(defined(__DragonFly__) && defined(__ELF__))
+ 	/* I386 code, generic code does not appear to work */
+ 	/* It does appear to work under OS2, and asms dont */
+ 	/* This is used for some 38g UNIX variants and for CYGWIN32 */
+@@ -220,7 +220,7 @@
+ #       endif
+ 
+ #	if ( defined(I386) && defined(LINUX) && defined(__ELF__) ) \
+-	|| ( defined(I386) && defined(__FreeBSD__) && defined(__ELF__) )
++	|| ( defined(I386) && (defined(__FreeBSD__) || defined(__DragonFly__)) && defined(__ELF__) )
+ 
+ 	/* This is modified for Linux with ELF (Note: _ELF_ only) */
+ 	/* This section handles FreeBSD with ELF. */
Index: www/firefox/patches/patch-dd
===================================================================
RCS file: www/firefox/patches/patch-dd
diff -N www/firefox/patches/patch-dd
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dd	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- mailnews/movemail/src/movemail.c.orig	2004-11-17 10:29:29.000000000 +0100
++++ mailnews/movemail/src/movemail.c	2004-11-17 10:29:43.000000000 +0100
+@@ -52,7 +52,7 @@
+ #define LINUX_GLIBC_2
+ 
+ #include <sys/errno.h>
+-#if !defined(__FreeBSD__) && !defined(MACLINUX) && !defined(LINUX_GLIBC_2)
++#if !defined(__FreeBSD__) && !defined(MACLINUX) && !defined(LINUX_GLIBC_2) && !defined(__DragonFly__)
+ extern char *sys_errlist[];
+ extern int sys_nerr;
+ #endif
Index: www/firefox/patches/patch-df
===================================================================
RCS file: www/firefox/patches/patch-df
diff -N www/firefox/patches/patch-df
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-df	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- nsprpub/pr/include/md/_freebsd.h.orig	2003-11-16 00:36:13.000000000 +0100
++++ nsprpub/pr/include/md/_freebsd.h	2004-11-17 10:19:00.000000000 +0100
+@@ -72,7 +76,7 @@
+ #define _PR_NO_LARGE_FILES
+ 
+ #if defined(_PR_PTHREADS)
+-#if __FreeBSD_version >= 400008
++#if defined(__DragonFly__) || __FreeBSD_version >= 400008
+ /*
+  * libc_r before this version of FreeBSD doesn't have poll().
+  * Although libc has poll(), it is not thread-safe so we can't
+@@ -81,7 +85,7 @@
+ #define _PR_POLL_AVAILABLE
+ #endif
+ #else
+-#if __FreeBSD_version >= 300000
++#if defined(__DragonFly__) || __FreeBSD_version >= 300000
+ #define _PR_POLL_AVAILABLE
+ #define _PR_USE_POLL
+ #endif
+@@ -90,7 +94,7 @@
+ #define _PR_HAVE_SYSV_SEMAPHORES
+ #define PR_HAVE_SYSV_NAMED_SHARED_MEMORY
+ 
+-#if __FreeBSD_version >= 400014
++#if defined(__DragonFly__) || __FreeBSD_version >= 400014
+ #define _PR_INET6
+ #define _PR_HAVE_INET_NTOP
+ #define _PR_HAVE_GETHOSTBYNAME2
Index: www/firefox/patches/patch-dh
===================================================================
RCS file: www/firefox/patches/patch-dh
diff -N www/firefox/patches/patch-dh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dh	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,18 @@
+$NetBSD$
+
+--- xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h.orig	2004-11-17 11:30:31.000000000 +0100
++++ xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h	2004-11-17 11:30:50.000000000 +0100
+@@ -77,6 +77,13 @@
+ #define THUNK_BASED_THIS_ADJUST
+ #endif
+ 
++#elif defined(__DragonFly__)
++#  if defined(__FreeBSD_cc_version)
++#    define CFRONT_STYLE_THIS_ADJUST
++#  else
++#    define THUNK_BASED_THIS_ADJUST
++#  endif
++
+ #elif defined(__FreeBSD__) 
+ /* System versions of gcc on FreeBSD don't use thunks.  On 3.x, the system
+  * compiler is gcc 2.7.2.3, which doesn't use thunks by default.  On 4.x and
Index: www/firefox/patches/patch-di
===================================================================
RCS file: www/firefox/patches/patch-di
diff -N www/firefox/patches/patch-di
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-di	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,31 @@
+$NetBSD$
+
+--- directory/c-sdk/configure.orig	2005-05-23 20:42:20.000000000 +0200
++++ directory/c-sdk/configure
+@@ -3448,7 +3448,7 @@ EOF
+     PR_MD_CSRCS=dgux.c
+     ;;
+ 
+-*-freebsd*)
++*-freebsd* | *-dragonfly*)
+     if test -z "$USE_NSPR_THREADS"; then
+         USE_PTHREADS=1
+     fi
+@@ -5297,7 +5297,7 @@ echo "configure:5281: checking whether $
+             _PTHREAD_LDFLAGS=
+         fi
+ 	    ;;
+-    *-freebsd*|*-openbsd*|*-bsdi*|*-netbsd*)
++    *-freebsd*|*-openbsd*|*-bsdi*|*-netbsd*|*-dragonfly*)
+ 	    cat >> confdefs.h <<\EOF
+ #define _THREAD_SAFE 1
+ EOF
+@@ -5372,7 +5372,7 @@ EOF
+ 
+     fi
+     ;;
+-*-freebsd*)
++*-freebsd*|*-dragonfly*)
+     if test -n "$USE_NSPR_THREADS"; then
+         cat >> confdefs.h <<\EOF
+ #define _PR_LOCAL_THREADS_ONLY 1
Index: www/firefox/patches/patch-dj
===================================================================
RCS file: www/firefox/patches/patch-dj
diff -N www/firefox/patches/patch-dj
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dj	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- dbm/src/mktemp.c.orig	2005-05-23 21:26:42.000000000 +0200
++++ dbm/src/mktemp.c	2005-05-23 21:27:08.000000000 +0200
+@@ -98,7 +98,7 @@
+ static int 
+ _gettemp(char *path, register int *doopen, int extraFlags)
+ {    
+-#if !defined(_WINDOWS) || defined(_WIN32)
++#if (!defined(_WINDOWS) || defined(_WIN32)) && !defined(errno)
+ 	extern int errno;                    
+ #endif
+ 	register char *start, *trv;
Index: www/firefox/patches/patch-dk
===================================================================
RCS file: www/firefox/patches/patch-dk
diff -N www/firefox/patches/patch-dk
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dk	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- security/coreconf/config.mk.orig	2005-05-24 01:20:38.000000000 +0200
++++ security/coreconf/config.mk	2005-05-24 01:20:09.000000000 +0200
+@@ -59,7 +59,7 @@
+ #######################################################################
+ 
+ TARGET_OSES = FreeBSD BSD_OS NetBSD OpenUNIX OS2 QNX Darwin BeOS OpenBSD \
+-              OpenVMS AIX
++              OpenVMS AIX DragonFly
+ 
+ ifeq (,$(filter-out $(TARGET_OSES),$(OS_TARGET)))
+ include $(CORE_DEPTH)/coreconf/$(OS_TARGET).mk
Index: www/firefox/patches/patch-dl
===================================================================
RCS file: www/firefox/patches/patch-dl
diff -N www/firefox/patches/patch-dl
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dl	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,88 @@
+$NetBSD$
+
+--- /dev/null	2005-05-24 01:23:34.000000000 +0200
++++ security/coreconf/DragonFly.mk	2005-05-24 01:23:34.000000000 +0200
+@@ -0,0 +1,83 @@
++#
++# The contents of this file are subject to the Mozilla Public
++# License Version 1.1 (the "License"); you may not use this file
++# except in compliance with the License. You may obtain a copy of
++# the License at http://www.mozilla.org/MPL/
++# 
++# Software distributed under the License is distributed on an "AS
++# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
++# implied. See the License for the specific language governing
++# rights and limitations under the License.
++# 
++# The Original Code is the Netscape security libraries.
++# 
++# The Initial Developer of the Original Code is Netscape
++# Communications Corporation.  Portions created by Netscape are 
++# Copyright (C) 1994-2000 Netscape Communications Corporation.  All
++# Rights Reserved.
++# 
++# Contributor(s):
++# 
++# Alternatively, the contents of this file may be used under the
++# terms of the GNU General Public License Version 2 or later (the
++# "GPL"), in which case the provisions of the GPL are applicable 
++# instead of those above.  If you wish to allow use of your 
++# version of this file only under the terms of the GPL and not to
++# allow others to use your version of this file under the MPL,
++# indicate your decision by deleting the provisions above and
++# replace them with the notice and other provisions required by
++# the GPL.  If you do not delete the provisions above, a recipient
++# may use your version of this file under either the MPL or the
++# GPL.
++#
++# Config stuff for DragonFly
++#
++
++include $(CORE_DEPTH)/coreconf/UNIX.mk
++
++DEFAULT_COMPILER	= gcc
++CC			= gcc
++CCC			= g++
++RANLIB			= ranlib
++
++ifeq ($(OS_TEST),alpha)
++CPU_ARCH		= alpha
++else
++CPU_ARCH		= x86
++endif
++
++OS_CFLAGS		= $(DSO_CFLAGS) -ansi -Wall -DFREEBSD -DHAVE_STRERROR -DHAVE_BSD_FLOCK
++
++DSO_CFLAGS		= -fPIC
++DSO_LDOPTS		= -shared -Wl,-soname -Wl,$(notdir $@)
++
++#
++# The default implementation strategy for FreeBSD is pthreads.
++#
++ifndef CLASSIC_NSPR
++USE_PTHREADS		= 1
++DEFINES			+= -D_THREAD_SAFE -D_REENTRANT
++OS_LIBS			+= -pthread
++DSO_LDOPTS		+= -pthread
++endif
++
++ARCH			= freebsd
++
++MOZ_OBJFORMAT		:= $(shell test -x /usr/bin/objformat && /usr/bin/objformat || echo aout)
++
++DLL_SUFFIX		= so
++
++ifdef LIBRUNPATH
++DSO_LDOPTS		+= -Wl,-R$(LIBRUNPATH)
++endif
++
++MKSHLIB			= $(CC) $(DSO_LDOPTS)
++ifdef MAPFILE
++# Add LD options to restrict exported symbols to those in the map file
++endif
++# Change PROCESS to put the mapfile in the correct format for this platform
++PROCESS_MAP_FILE = cp $(LIBRARY_NAME).def $@
++
++G++INCLUDES		= -I/usr/include/g++
++
++INCLUDES		+= -I/usr/X11R6/include
Index: www/firefox/patches/patch-dm
===================================================================
RCS file: www/firefox/patches/patch-dm
diff -N www/firefox/patches/patch-dm
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dm	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- security/nss/cmd/platlibs.mk.orig	2005-05-24 14:48:31.000000000 +0200
++++ security/nss/cmd/platlibs.mk	2005-05-24 14:48:38.000000000 +0200
+@@ -182,8 +182,8 @@ endif
+ # If GNU ld is used, we must use the -rpath-link option to tell
+ # the linker where to find libsoftokn3.so, an implicit dependency
+ # of libnss3.so.
+-ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD, $(OS_ARCH)))
+-EXTRA_SHARED_LIBS += -Wl,-rpath-link,$(DIST)/lib
++ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD DragonFly, $(OS_ARCH)))
++EXTRA_SHARED_LIBS += -Wl,-rpath-link,$(DIST)/lib -R/usr/pkg/lib/firefox
+ endif
+ 
+ ifeq ($(OS_ARCH), SunOS)
Index: www/firefox/patches/patch-do
===================================================================
RCS file: www/firefox/patches/patch-do
diff -N www/firefox/patches/patch-do
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-do	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,87 @@
+$NetBSD$
+
+--- /dev/null	2005-05-24 23:07:26.000000000 +0200
++++ directory/c-sdk/config/DragonFly.mk	2005-05-25 00:01:24.000000000 +0200
+@@ -0,0 +1,82 @@
++# 
++# The contents of this file are subject to the Mozilla Public
++# License Version 1.1 (the "License"); you may not use this file
++# except in compliance with the License. You may obtain a copy of
++# the License at http://www.mozilla.org/MPL/
++# 
++# Software distributed under the License is distributed on an "AS
++# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
++# implied. See the License for the specific language governing
++# rights and limitations under the License.
++# 
++# The Original Code is the Netscape Portable Runtime (NSPR).
++# 
++# The Initial Developer of the Original Code is Netscape
++# Communications Corporation.  Portions created by Netscape are 
++# Copyright (C) 1998-2000 Netscape Communications Corporation.  All
++# Rights Reserved.
++# 
++# Contributor(s):
++# 
++# Alternatively, the contents of this file may be used under the
++# terms of the GNU General Public License Version 2 or later (the
++# "GPL"), in which case the provisions of the GPL are applicable 
++# instead of those above.  If you wish to allow use of your 
++# version of this file only under the terms of the GPL and not to
++# allow others to use your version of this file under the MPL,
++# indicate your decision by deleting the provisions above and
++# replace them with the notice and other provisions required by
++# the GPL.  If you do not delete the provisions above, a recipient
++# may use your version of this file under either the MPL or the
++# GPL.
++# 
++
++#
++# Config stuff for DragonFly
++#
++
++include $(MOD_DEPTH)/config/UNIX.mk
++
++CC			= gcc
++CCC			= g++
++RANLIB			= ranlib
++
++OS_REL_CFLAGS		= -Di386
++CPU_ARCH		= x86
++CPU_ARCH_TAG		= _$(CPU_ARCH)
++
++OS_CFLAGS		= $(DSO_CFLAGS) $(OS_REL_CFLAGS) -ansi -Wall -pipe $(THREAD_FLAG) -DFREEBSD -DHAVE_STRERROR -DHAVE_BSD_FLOCK
++
++#
++# The default implementation strategy for FreeBSD is pthreads.
++#
++ifeq ($(CLASSIC_NSPR),1)
++IMPL_STRATEGY		= _EMU
++DEFINES			+= -D_PR_LOCAL_THREADS_ONLY
++else
++USE_PTHREADS		= 1
++IMPL_STRATEGY		= _PTH
++DEFINES			+= -D_THREAD_SAFE
++THREAD_FLAG		+= -pthread
++endif
++
++ARCH			= freebsd
++
++MOZ_OBJFORMAT          := $(shell test -x /usr/bin/objformat && /usr/bin/objformat || echo aout)
++
++ifeq ($(MOZ_OBJFORMAT),elf)
++DLL_SUFFIX		= so
++else
++DLL_SUFFIX		= so.1.0
++endif
++
++DSO_CFLAGS		= -fPIC
++DSO_LDOPTS		= -Bshareable
++
++ifdef LIBRUNPATH
++DSO_LDOPTS		+= -Wl,-R$(LIBRUNPATH)
++endif
++
++MKSHLIB			= $(LD) $(DSO_LDOPTS)
++
++G++INCLUDES		= -I/usr/include/g++
Index: www/firefox/patches/patch-dp
===================================================================
RCS file: www/firefox/patches/patch-dp
diff -N www/firefox/patches/patch-dp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dp	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- other-licenses/libical/src/libical/Makefile.in.orig	2005-05-25 00:03:42.000000000 +0200
++++ other-licenses/libical/src/libical/Makefile.in	2005-05-25 00:03:51.000000000 +0200
+@@ -179,7 +179,7 @@
+ 	$(PERL) $(ICALSCRIPTS)/mkrestrictiontable.pl  -i $(srcdir)/icalrestriction.c.in \
+                 $(DESIGNDATA)/restrictions.csv > icalrestriction.c
+ 
+-ifneq (,$(filter BeOS Darwin OpenVMS NetBSD FreeBSD,$(OS_ARCH)))
++ifneq (,$(filter BeOS Darwin OpenVMS NetBSD FreeBSD DragonFly,$(OS_ARCH)))
+ DEFINES	+= -D__USE_BSD=1
+ endif
+ 
Index: www/firefox/patches/patch-dr
===================================================================
RCS file: www/firefox/patches/patch-dr
diff -N www/firefox/patches/patch-dr
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dr	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- config/config.mk.orig	2005-05-25 00:07:14.000000000 +0200
++++ config/config.mk	2005-05-25 00:07:26.000000000 +0200
+@@ -146,7 +146,7 @@
+ # but save the version to allow multiple versions of the same base
+ # platform to be built in the same tree.
+ #
+-ifneq (,$(filter FreeBSD HP-UX IRIX Linux NetBSD OpenBSD OSF1 SunOS,$(OS_ARCH)))
++ifneq (,$(filter DragonFly FreeBSD HP-UX IRIX Linux NetBSD OpenBSD OSF1 SunOS,$(OS_ARCH)))
+ OS_RELEASE	:= $(basename $(OS_RELEASE))
+ 
+ # Allow the user to ignore the OS_VERSION, which is usually irrelevant.
Index: www/firefox/patches/patch-ds
===================================================================
RCS file: www/firefox/patches/patch-ds
diff -N www/firefox/patches/patch-ds
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-ds	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- security/coreconf/arch.mk.orig	2005-06-03 20:57:46.000000000 +0200
++++ security/coreconf/arch.mk
+@@ -141,7 +141,7 @@ endif
+ # IRIX 6.5-ALPHA-1289139620.
+ #
+ 
+-ifeq (,$(filter-out Linux FreeBSD IRIX,$(OS_ARCH)))
++ifeq (,$(filter-out Linux DragonFly FreeBSD IRIX,$(OS_ARCH)))
+     OS_RELEASE := $(shell echo $(OS_RELEASE) | sed 's/-.*//')
+ endif
+ 
Index: www/firefox/patches/patch-dt
===================================================================
RCS file: www/firefox/patches/patch-dt
diff -N www/firefox/patches/patch-dt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dt	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+--- directory/c-sdk/config/arch.mk.orig	2005-06-03 20:59:03.000000000 +0200
++++ directory/c-sdk/config/arch.mk
+@@ -138,7 +138,7 @@ endif
+ # Handle FreeBSD 2.2-STABLE and Linux 2.0.30-osfmach3
+ #
+ 
+-ifeq (,$(filter-out Linux FreeBSD,$(OS_ARCH)))
++ifeq (,$(filter-out Linux DragonFly FreeBSD,$(OS_ARCH)))
+ OS_RELEASE	:= $(shell echo "$(OS_RELEASE)" | sed 's/-.*//')
+ endif
+ 
Index: www/firefox/patches/patch-du
===================================================================
RCS file: www/firefox/patches/patch-du
diff -N www/firefox/patches/patch-du
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-du	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,17 @@
+$NetBSD$
+
+--- config/rules.mk.orig	2005-06-03 21:08:53.000000000 +0200
++++ config/rules.mk
+@@ -444,6 +444,12 @@ EXTRA_DSO_LDOPTS += -Wl,-Bsymbolic
+ endif
+ endif
+ 
++ifeq ($(OS_ARCH),DragonFly)
++ifdef IS_COMPONENT
++EXTRA_DSO_LDOPTS += -Wl,-Bsymbolic
++endif
++endif
++
+ ifeq ($(OS_ARCH),NetBSD)
+ ifneq (,$(filter arc cobalt hpcmips mipsco newsmips pmax sgimips,$(OS_TEST)))
+ ifeq ($(MODULE),layout)
Index: www/firefox/patches/patch-dv
===================================================================
RCS file: www/firefox/patches/patch-dv
diff -N www/firefox/patches/patch-dv
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/patches/patch-dv	8 Jul 2005 21:51:23 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- js/src/Makefile.in.orig	2005-06-03 21:11:22.000000000 +0200
++++ js/src/Makefile.in
+@@ -250,6 +250,9 @@ endif # WINNT
+ ifeq ($(OS_ARCH),FreeBSD)
+ LDFLAGS		+= -pthread
+ endif
++ifeq ($(OS_ARCH),DragonFly)
++LDFLAGS		+= -pthread
++endif
+ ifeq ($(OS_ARCH),IRIX)
+ ifdef USE_N32
+ DASH_R		+= -n32
